package com.persagy.fm.sop.annotations;

import java.lang.annotation.*;

/**
 * JSON 返回字段过滤
 *
 * @author zhufeihong
 * @since 2020/12/28 14:32
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Repeatable(JsonFieldFilters.class)
public @interface JsonFieldFilter {
    /**
     * 对象类
     */
    Class<?> type();

    /**
     * 只包含的字段
     */
    String[] include() default {};

    /**
     * 不包含的字段，如果重新赋值那么默认值失效
     */
    String[] exclude() default {"createBy", "updateBy"};

    /**
     * 不包含的字段，在exclude()默认值的条件下继续添加排除字段
     */
    String[] addExclude() default {};
}
