package com.persagy.fm.sop.client;

import com.alibaba.fastjson.JSONObject;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;


@FeignClient(name = "SAAS" ,fallbackFactory = SaasFallBackFactory.class, configuration = FeignConfig.class)
public interface SaasClient {

	/***
	 * Description: 查询数据字典数据
	 * @param param : 请求参数
	 * @return : java.lang.String
	 * @author : lijie
	 * @date :2021/4/9 21:51
	 * Update By lijie 2021/4/9 21:51
	 */
	@PostMapping(value = "/restGeneralDictService/queryGeneralDictByDictType")
	String queryGeneralDictByDictType(@RequestBody JSONObject param);
	/***
	 * Description: 查询通用系统类数据
	 * @param param : 请求参数
	 * @return : java.lang.String
	 * @author : lijie
	 * @date :2021/4/9 21:51
	 * Update By lijie 2021/4/9 21:51
	 */
	@PostMapping(value = "/restObjectService/querySystemClass")
	String querySystemClass(@RequestBody JSONObject param);
	/***
	 * Description: 查询通用设备类数据
	 * @param param : 请求参数
	 * @return : java.lang.String
	 * @author : lijie
	 * @date :2021/4/9 21:51
	 * Update By lijie 2021/4/9 21:51
	 */
	@PostMapping(value = "/restObjectService/queryEquipClass")
	String queryEquipClass(@RequestBody JSONObject param);
	/***
	 * Description: 查询空间功能类型数据
	 * @param param : 请求参数
	 * @return : java.lang.String
	 * @author : lijie
	 * @date :2021/4/9 21:51
	 * Update By lijie 2021/4/9 21:51
	 */
	@PostMapping(value = "/restObjectService/querySpaceClass")
	String querySpaceClass(@RequestBody JSONObject param);
	/***
	 * Description: 查询建筑功能类型数据
	 * @param param : 请求参数
	 * @return : java.lang.String
	 * @author : lijie
	 * @date :2021/4/9 21:51
	 * Update By lijie 2021/4/9 21:51
	 */
	@PostMapping(value = "/restObjectService/queryBuildFuncType")
	String queryBuildFuncType(@RequestBody JSONObject param);
	/***
	 * Description: 查询楼层类型数据
	 * @param param : 请求参数
	 * @return : java.lang.String
	 * @author : lijie
	 * @date :2021/4/9 21:51
	 * Update By lijie 2021/4/9 21:51
	 */
	@PostMapping(value = "/restObjectService/queryFloorType")
	String queryFloorType(@RequestBody JSONObject param);
	/***
	 * Description: 查询楼层类型数据
	 * @param param : 请求参数
	 * @return : java.lang.String
	 * @author : lijie
	 * @date :2021/4/9 21:51
	 * Update By lijie 2021/4/9 21:51
	 */
	@PostMapping(value = "/restShaftService/queryShaftType")
	String queryShaftType(@RequestBody JSONObject param);
	/***
	 * Description: 查询所有信息点数据
	 * @param param : 请求参数
	 * @return : java.lang.String
	 * @author : lijie
	 * @date :2021/4/9 21:51
	 * Update By lijie 2021/4/9 21:51
	 */
	@PostMapping(value = "/restObjectService/queryAllInfoPointForObject")
	String queryAllInfoPointForObject(@RequestBody JSONObject param);


}
