package com.persagy.fm.sop.config;

import com.persagy.db.config.DateMetaObjectHandler;
import com.persagy.db.properties.MybatisPlusAutoFillProperties;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;

@Configuration
@EnableConfigurationProperties({MybatisPlusAutoFillProperties.class})
@RequiredArgsConstructor
public class MybatisConfigure {

    private final MybatisPlusAutoFillProperties autoFillProperties;

    @Bean
    @ConditionalOnProperty(
            prefix = "integrated.mybatis-plus.auto-fill",
            name = {"enabled"},
            havingValue = "true",
            matchIfMissing = true
    )
    @Primary
    public DateMetaObjectHandler dateMetaObjectHandler(){
        return new DateMetaObjectHandler(this.autoFillProperties);
    }

}
