package com.persagy.fm.sop.controller;


import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.persagy.fm.common.old.utils.StringUtil;
import com.persagy.fm.common.old.utils.ToolsUtil;
import com.persagy.fm.sop.service.IEquipCompanyBookService;
import com.persagy.fm.sop.service.IEquipCompanyService;
import com.persagy.fm.sop.service.IEquipModelService;
import com.persagy.old.dao.DBConst.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @desc
 * @author yuecaipu
 * Created on 2018/4/19
 */

@RestController
@RequestMapping("/restEquipCompanyService")
public class EquipCompanyController {

	@Autowired
	private IEquipCompanyService equipCompanyService;
	@Autowired
	private IEquipCompanyBookService equipCompanyBookService;
	@Autowired
	private IEquipModelService equipModelService;
    /**
     * sop管理-新增页:查询生产厂商列表
     * @return
     * @throws Exception
     */
    @PostMapping("/queryEquipCompanyForSel")
    public String queryEquipCompanyForSel(@RequestBody JSONObject jsonObject) throws Exception {
    	if(StringUtil.isNull(jsonObject, "user_id","company_type")) {
    		return ToolsUtil.return_error_json;
    	}
    	return equipCompanyService.queryEquipCompanyForSel(jsonObject.toJSONString());
    }
    /**
     * sop管理-新增页:查询生产商下的型号列表
     * @return
     * @throws Exception
     */
    @PostMapping("/queryEquipModelForSel")
    public String queryEquipModelForSel(@RequestBody JSONObject jsonObject) throws Exception {
    	if(StringUtil.isNull(jsonObject, "user_id","company_id")) {
    		return ToolsUtil.return_error_json;
    	}
    	//return equipCompanyService.queryEquipModelForSel(jsonStr);
    	return equipModelService.queryRecordByCondition(jsonObject.toJSONString());
    }
    /**
     * sop管理-新增页:检索设备型号  模糊匹配设备名
     * @return
     * @throws Exception
     */
    @PostMapping("/searchEquipModelForSel")
    public String searchEquipModelForSel(@RequestBody JSONObject jsonObject) throws Exception {
    	if(StringUtil.isNull(jsonObject, "user_id")) {
    		return ToolsUtil.return_error_json;
    	}
    	//获取所有
    	String equipModelName = jsonObject.getString("equip_model_name");
    	jsonObject.remove("equip_model_name");
    	String resultStr = equipModelService.queryRecordByCondition(jsonObject.toJSONString());
    	if (equipModelName==null || "".equals(equipModelName)) {
			return resultStr;
		}else {
			//模糊匹配equipModelName
			JSONObject resultJson = JSONObject.parseObject(resultStr);
			JSONArray resultContent = resultJson.getJSONArray(Result.CONTENT);
			JSONArray contents = new JSONArray();
			JSONObject item ,companyObj,resultEquipCompanyBookObj;
			String resultEquipCompanyBookStr;
			for (int i = 0; i < resultContent.size(); i++) {
				item = resultContent.getJSONObject(i);
				if (item.getString("equip_model_name")!=null && item.getString("equip_model_name").contains(equipModelName)) {
					//根据company_id 获取company_name
					resultEquipCompanyBookStr = equipCompanyBookService.queryRecordByCondition(item.toJSONString());
					resultEquipCompanyBookObj = JSONObject.parseObject(resultEquipCompanyBookStr);
					if (Result.SUCCESS.equals(resultEquipCompanyBookObj.getString(Result.RESULT))&&resultEquipCompanyBookObj.getJSONArray(Result.CONTENT).size()!=0) {
						companyObj = resultEquipCompanyBookObj.getJSONArray(Result.CONTENT).getJSONObject(0);
						item.put("company_name", companyObj.getString("company_name"));
						contents.add(item);
					}
				}
			}
			resultJson.put(Result.CONTENT, contents);
			resultJson.put(Result.COUNT, contents.size());
			return resultJson.toJSONString();
		}
    }
}
