package com.persagy.fm.sop.controller;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.persagy.fm.common.model.vo.GeneralDictVo;
import com.persagy.fm.common.old.utils.StringUtil;
import com.persagy.fm.common.old.utils.ToolsUtil;
import com.persagy.fm.sop.model.vo.*;
import com.persagy.fm.sop.service.IGeneralDictService;
import com.persagy.fm.sop.utils.OldResponseResult;
import com.persagy.fm.sop.utils.OldResponseResultUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/***
 * Description: 数据字典数据业务
 * @author : lijie
 * @date :2021/4/9 15:52
 * Update By lijie 2021/4/9 15:52
 */
@Slf4j
@RequiredArgsConstructor
@RestController
@RequestMapping("/restGeneralDictService/")
@Api("数据字典业务")
public class GeneralDictController {
    private final IGeneralDictService generalDictService;
    /***
     * Description: 测试接口
     * @param jsonObject : 请求参数
     * @return : java.lang.String
     * @author : lijie
     * @date :2021/4/19 12:17
     * Update By lijie 2021/4/19 12:17
     */
    @ApiOperation("测试接口")
    @PostMapping("test")
    public String test(@RequestBody JSONObject jsonObject) throws Exception {
        return ToolsUtil.successJsonMsg(new JSONArray());
    }

    /***
     * Description: 人员信息-新增页:数据字典-专业
     * @param queryGeneralDictVo : 请求参数
     * @return : java.lang.String  
     * @author : lijie
     * @date :2021/4/9 15:54
     * Update By lijie 2021/4/9 15:54
     */
    @ApiOperation("人员信息-新增页:数据字典-专业")
    @PostMapping("queryGeneralDictByKey")
    public OldResponseResult<GeneralDictVo> queryGeneralDictByKey(@RequestBody QueryGeneralDictVo queryGeneralDictVo) {
        return OldResponseResultUtil.successResult(generalDictService.queryGeneralDictByKey(queryGeneralDictVo.getDictType(),queryGeneralDictVo.getProjectId()));
    }

    /***
     * Description: 数据字典:查询工单类型
     * @param jsonObject : 
     * @return : java.lang.String  
     * @author : lijie
     * @date :2021/4/19 12:12
     * Update By lijie 2021/4/19 12:12
     */
    @ApiOperation("数据字典:查询工单类型")
    @PostMapping("queryWoTypeList")
    public String queryWoTypeList(@RequestBody JSONObject jsonObject) {
        if(StringUtil.isNull(jsonObject, "user_id")) {
            return ToolsUtil.return_error_json;
        }
        return generalDictService.queryWoTypeList(jsonObject);
    }

}