package com.persagy.fm.sop.controller;


import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.persagy.fm.common.old.utils.StringUtil;
import com.persagy.fm.common.old.utils.ToolsUtil;
import com.persagy.fm.sop.service.IObjectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created by guosongchao on 2017/8/16.
 */
@RestController
@RequestMapping("/restObjectService")
public class ObjectController {
    @Autowired
    public IObjectService objectService;
    /**
     * 搜索物理世界对象
     * @return
     * @throws Exception
     */
    @PostMapping("/searchObject")
    @Deprecated
    public String searchObject(@RequestBody JSONObject jsonObject) throws Exception {
        if(!StringUtil.isNull(jsonObject, "user_id", "project_id")){
            return objectService.searchObject(jsonObject.toJSONString());
        }
        return ToolsUtil.return_error_json;
    }

    /**
     * 查询对象分类
     * @return
     * @throws Exception
     */
    @PostMapping("/queryObjClassForObjSel")
    @Deprecated
    public String queryObjClassForObjSel(@RequestBody JSONObject jsonObject) throws Exception {
        if(!StringUtil.isNull(jsonObject, "user_id")){
            return objectService.queryObjClassForObjSel(jsonObject.toJSONString());
        }
        return ToolsUtil.return_error_json;
    }

    /**
     * 查询通用系统类
     * @return
     * @throws Exception
     */
    @PostMapping("/querySystemClass")
    @Deprecated
    public String querySystemClass(@RequestBody JSONObject jsonObject) throws Exception {
        if(!StringUtil.isNull(jsonObject, "user_id", "need_back_parents")){
            return objectService.querySystemClass(jsonObject.toJSONString());
        }
        return ToolsUtil.return_error_json;
    }

    /**
     * 查询通用设备类
     * @return
     * @throws Exception
     */
    @PostMapping("/queryEquipClass")
    @Deprecated
    public String queryEquipClass(@RequestBody JSONObject jsonObject) throws Exception {
        if(!StringUtil.isNull(jsonObject, "user_id", "need_back_parents")){
            return objectService.queryEquipClass(jsonObject.toJSONString());
        }
        return ToolsUtil.return_error_json;
    }
    /**
     * 查询空间功能类型
     * @return
     * @throws Exception
     */
    @PostMapping("/querySpaceClass")
    @Deprecated
    public String querySpaceClass(@RequestBody JSONObject jsonObject) throws Exception {
    	if(!StringUtil.isNull(jsonObject, "user_id", "need_back_parents")){
    		return objectService.querySpaceClass(jsonObject.toJSONString());
    	}
    	return ToolsUtil.return_error_json;
    }

    /**
     * 查询建筑体
     * @return
     * @throws Exception
     */
    @PostMapping("/queryBuild")
    @Deprecated
    public String queryBuild(@RequestBody JSONObject jsonObject) throws Exception {
        if(!StringUtil.isNull(jsonObject, "user_id", "project_id")){
            return objectService.queryBuild(jsonObject.toJSONString());
        }
        return ToolsUtil.return_error_json;
    }

    /**
     * 查询楼层
     * @return
     * @throws Exception
     */
    @PostMapping("/queryFloor")
    @Deprecated
    public String queryFloor(@RequestBody JSONObject jsonObject) throws Exception {
        if(!StringUtil.isNull(jsonObject, "user_id", "project_id", "need_back_parents")){
            return objectService.queryFloor(jsonObject.toJSONString());
        }
        return ToolsUtil.return_error_json;
    }

    /**
     * 查询空间
     * @return
     * @throws Exception
     */
    @PostMapping("/querySpace")
    @Deprecated
    public String querySpace(@RequestBody JSONObject jsonObject) throws Exception {
        if(!StringUtil.isNull(jsonObject, "user_id", "project_id", "obj_id", "obj_type", "need_back_parents")){
            return objectService.querySpace(jsonObject.toJSONString());
        }
        return ToolsUtil.return_error_json;
    }

    /**
     * 查询系统示例
     * @return
     * @throws Exception
     */
    @PostMapping("/querySystem")
    @Deprecated
    public String querySystem(@RequestBody JSONObject jsonObject) throws Exception {
        if(!StringUtil.isNull(jsonObject, "user_id", "project_id", "need_back_parents")){
            return objectService.querySystem(jsonObject.toJSONString());
        }
        return ToolsUtil.return_error_json;
    }

    /**
     * 查询设备示例  -系统专业下所有系统
     * @return
     * @throws Exception
     */
    @PostMapping("/querySystemForSystemDomain")
    public String querySystemForSystemDomain(@RequestBody JSONObject jsonObject) throws Exception {
        if(!StringUtil.isNull(jsonObject, "user_id", "project_id", "system_domain")){
            return objectService.querySystemForSystemDomain(jsonObject.toJSONString());
        }
        return ToolsUtil.return_error_json;
    }

    /**
     * 查询建筑-楼层-空间列表树
     * @return
     * @throws Exception
     */
    @PostMapping("/queryBuildFloorSpaceTree")
    @Deprecated
    public String queryBuildFloorSpaceTree(@RequestBody JSONObject jsonObject) throws Exception {
        if(!StringUtil.isNull(jsonObject, "user_id", "project_id")){
            return objectService.queryBuildFloorSpaceTree(jsonObject.toJSONString());
        }
        return ToolsUtil.return_error_json;
    }

    /**
     * 查询设备示例
     * @return
     * @throws Exception
     */
    @PostMapping("/queryEquip")
    @Deprecated
    public String queryEquip(@RequestBody JSONObject jsonObject) throws Exception {
        if(!StringUtil.isNull(jsonObject, "user_id", "project_id", "need_back_parents")){
            return objectService.queryEquip(jsonObject.toJSONString());
        }
        return ToolsUtil.return_error_json;
    }

    /**
     * 查询工具/部件列表
     * @return
     * @throws Exception
     */
    @PostMapping("/queryTempObjectList")
    public String queryTempObjectList(@RequestBody JSONObject jsonObject) throws Exception {
        if(!StringUtil.isNull(jsonObject, "user_id", "project_id", "obj_type")){
            String objStr = objectService.queryTempObjectList(jsonObject.toJSONString());
            if(jsonObject.containsKey("obj_name")){
                String objName = jsonObject.getString("obj_name");
                JSONObject objJson = JSONObject.parseObject(objStr);
                if("success".equals(objJson.getString("Result"))){
                    JSONArray objs = objJson.getJSONArray("Content");
                    JSONObject obj;
                    JSONArray newObjs = new JSONArray();
                    for(int i=0; i<objs.size(); i++){
                        obj = objs.getJSONObject(i);
                        if(!StringUtil.isNull(obj, "obj_name") && obj.getString("obj_name").contains(objName)){
                        	newObjs.add(obj);
                        }
                    }
                    objJson.put("Content", newObjs);
                    objStr = objJson.toJSONString();
                }
            }
            return objStr;
        }
        return ToolsUtil.return_error_json;
    }
    
    /**
     * 验证自定义对象是否已经存在
     * @return
     * @throws Exception
     */
    @PostMapping("/existTempObjectWithType")
    public String existTempObjectWithType(@RequestBody JSONObject jsonObject) throws Exception {
        if(!StringUtil.isNull(jsonObject, "user_id", "project_id", "obj_type", "obj_name")){
            return objectService.existTempObjectWithType(jsonObject.toJSONString());
        }
        return ToolsUtil.return_error_json;
    }

    /**
     * 添加自定义对象
     * @return
     * @throws Exception
     */
    @PostMapping("/addTempObjectWithType")
    public String addTempObjectWithType(@RequestBody JSONObject jsonObject) throws Exception {
        if(!StringUtil.isNull(jsonObject, "user_id", "project_id", "obj_type", "obj_name")){
            return objectService.addBatchTempObject(jsonObject.toJSONString());
        }
        return ToolsUtil.return_error_json;
    }

//    /**
//     * 添加自定义对象
//     * @param jsonStr
//     * @return
//     * @throws Exception
//     */
//    @Path("addTempObject")
//    @POST
//    @PostMapping("/queryTabList")
//    public String addTempObject(@RequestBody JSONObject jsonObject) throws Exception{
//        JSONObject jsonObject = JSONObject.parseObject(jsonObject.toJSONString());
//        if(!StringUtil.isNull(jsonObject, "user_id", "project_id") && !StringUtil.isEmptyList(jsonObject, "objs")){
//            return objectService.addBatchTempObject(jsonObject.toJSONString());
//        }
//        return ToolsUtil.return_error_json;
//    }

    /**
     * 搜索信息点
     * @return
     * @throws Exception
     */
    @PostMapping("/searchInfoPoint")
    public String searchInfoPoint(@RequestBody JSONObject jsonObject) throws Exception {
        if(!StringUtil.isNull(jsonObject, "user_id", "project_id")){
            return objectService.searchInfoPoint(jsonObject.toJSONString());
        }
        return ToolsUtil.return_error_json;
    }

    /**
     * 查询对象分类
     * @return
     * @throws Exception
     */
    @PostMapping("/queryObjClassForInfoPointSel")
    public String queryObjClassForInfoPointSel(@RequestBody JSONObject jsonObject) throws Exception {
        if(!StringUtil.isNull(jsonObject, "user_id")){
            return objectService.queryObjClassForInfoPointSel(jsonObject.toJSONString());
        }
        return ToolsUtil.return_error_json;
    }

    /**
     * 查询对象下信息点
     * @return
     * @throws Exception
     */
    @PostMapping("/queryInfoPointForObject")
    @Deprecated
    public String queryInfoPointForObject(@RequestBody JSONObject jsonObject) throws Exception {
        if(!StringUtil.isNull(jsonObject, "user_id", "obj_id", "obj_type")){
            String objType = jsonObject.getString("obj_type");
            String resultStr = ToolsUtil.successJsonMsg(new JSONArray());
			if ("build".equals(objType) || "build_func_type".equals(objType)){
                resultStr = objectService.queryInfoPointForBuildClass(jsonObject.toJSONString());
            } else if ("floor".equals(objType) || "floor_type".equals(objType)){
                resultStr = objectService.queryInfoPointForFloorClass(jsonObject.toJSONString());
            } else if ("space".equals(objType)){
                resultStr = objectService.queryInfoPointForSpaceClass(jsonObject.toJSONString());
            } else if ("system".equals(objType)){
                resultStr = objectService.queryInfoPointForSystem(jsonObject.toJSONString());
            } else if ("equip".equals(objType)){
                resultStr = objectService.queryInfoPointForEquip(jsonObject.toJSONString());
            } else if ("equip_class".equals(objType)){
                resultStr = objectService.queryInfoPointForEquipClass(jsonObject.toJSONString());
            } else if ("system_class".equals(objType)){
                resultStr = objectService.queryInfoPointForSystemClass(jsonObject.toJSONString());
            } else if ("space_class".equals(objType)){
                resultStr = objectService.queryInfoPointForSpaceClass(jsonObject.toJSONString());
            } else if ("shaft".equals(objType)||"shaft_type".equals(objType)){
                resultStr = objectService.queryInfoPointForShaft(jsonObject.toJSONString());
            }
			return resultStr;
        }
        return ToolsUtil.return_error_json;
    }
    
	/**
	 * @desc 查询楼层编码
	 * @return
	 * @throws Exception
	 */
	@PostMapping("/queryFloorIdentity")
	@Deprecated
	public String queryFloorIdentity(@RequestBody JSONObject jsonObject) throws Exception {
		if(StringUtil.isNull(jsonObject, "user_id")) {
			return ToolsUtil.return_error_json;
		}
		return objectService.queryFloorInfoPointByCode("FloorIdentity");
	}
	
	/**
	 * @desc 查询楼层类型
	 * @return
	 * @throws Exception
	 */
	@PostMapping("/queryFloorType")
	@Deprecated
	public String queryFloorType(@RequestBody JSONObject jsonObject) throws Exception {
		if(StringUtil.isNull(jsonObject, "user_id")) {
			return ToolsUtil.return_error_json;
		}
		String resultStr = objectService.queryFloorInfoPointByCode("FloorType");
		resultStr = resultStr.replaceAll("code", "obj_id");
		resultStr = resultStr.replaceAll("name", "obj_name");
		return resultStr;
	}
	
	/**
	 * @desc 查询建筑功能类型
	 * @return
	 * @throws Exception
	 */
	@PostMapping("/queryBuildFuncType")
	@Deprecated
	public String queryBuildFuncType(@RequestBody JSONObject jsonObject) throws Exception {
		if(StringUtil.isNull(jsonObject, "user_id")) {
			return ToolsUtil.return_error_json;
		}
		return objectService.queryBuildFuncType();
	}
	
	/**
	 * @desc 查询项目类型
	 * @return
	 * @throws Exception
	 */
	@PostMapping("/queryProFuncType")
	@Deprecated
	public String queryProFuncType(@RequestBody JSONObject jsonObject) throws Exception {
		if(StringUtil.isNull(jsonObject, "user_id")) {
			return ToolsUtil.return_error_json;
		}
		return objectService.queryProFuncType();
	}
	
	/**
	 * @desc 查询竖井功能类型
	 * @return
	 * @throws Exception
	 */
	@PostMapping("/queryShaftFuncType")
	@Deprecated
	public String queryShaftFuncType(@RequestBody JSONObject jsonObject) throws Exception {
		if(StringUtil.isNull(jsonObject, "user_id")) {
			return ToolsUtil.return_error_json;
		}
		return objectService.queryShaftFuncType();
	}
	/**
	 * @desc  根据项目id获取对应的一级项目类型
     * 项目id
	 * @return
	 * @throws Exception
	 */
	@PostMapping("/queryRootProjFuncTypeById")
	public String queryRootProjFuncTypeById(@RequestBody JSONObject jsonObject) throws Exception {
		String rootProjFuncTypeById = objectService.queryRootProjFuncTypeById(jsonObject.getString("project_id"));
		
		return ToolsUtil.successJsonMsg(rootProjFuncTypeById);
	}


    /**
     * @desc  新增自定义信息点控件
     * @return
     * @throws Exception
     */
    @PostMapping("/queryCustomInfoPointList")
    public String queryCustomInfoPointList(@RequestBody JSONObject jsonObject) {
        if(StringUtil.isNull(jsonObject, "user_id")){
            return ToolsUtil.return_error_json;
        }
        JSONArray list = objectService.queryCustomInfoPointList();

        return ToolsUtil.successJsonMsg(list);
    }

    /**
     * @desc  新增自定义信息点控件
     * @return
     * @throws Exception
     */
    @PostMapping("/addCustomInfoPoint")
    public String addCustomInfoPoint(@RequestBody JSONObject jsonObject) {
        if(StringUtil.isNull(jsonObject, "user_id","custom_info_point_name")) {
            return ToolsUtil.return_error_json;
        }
        boolean flag = objectService.addCustomInfoPoint(jsonObject);
        if (flag){
            return ToolsUtil.successJsonMsg(objectService.queryCustomInfoPointList());
        }else {
            return ToolsUtil.errorJsonMsg("信息点控件添加失败,请检查名称是否重复");
        }
    }

    /**
     * @desc  更新自定义信息点控件
     * @return
     * @throws Exception
     */
    @PostMapping("/updateCustomInfoPoint")
    public String updateCustomInfoPoint(@RequestBody JSONObject jsonObject) {
        if(StringUtil.isNull(jsonObject, "user_id","custom_info_point_id","custom_info_point_name")) {
            return ToolsUtil.return_error_json;
        }
        boolean flag = objectService.updateCustomInfoPoint(jsonObject);
        if (flag){
            return ToolsUtil.successJsonMsg(objectService.queryCustomInfoPointList());
        }else {
            return ToolsUtil.errorJsonMsg("信息点控件更新失败,请检查名称是否重复");
        }
    }

    /**
     * @desc  删除自定义信息点控件
     * @return
     * @throws Exception
     */
    @PostMapping("/deleteCustomInfoPointById")
    public String deleteCustomInfoPointById(@RequestBody JSONObject jsonObject) {
        if(StringUtil.isNull(jsonObject, "user_id","custom_info_point_id")) {
            return ToolsUtil.return_error_json;
        }
        boolean flag = objectService.delelteCustomInfoPointById(jsonObject);
        if (flag){
            return ToolsUtil.successJsonMsg(objectService.queryCustomInfoPointList());
        }else {
            return ToolsUtil.errorJsonMsg("信息点控件删除失败");
        }
    }
}
