package com.persagy.fm.sop.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.fm.sop.handler.JsonTypeHandlerFactory;
import com.persagy.fm.sop.model.dto.CustomInfoPointsBean;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * (custom_info_point)实体类
 *
 * @author lijie
 * @since 2021-03-31 18:08:21
 * @description 由 Mybatisplus Code Generator 创建
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName(value = "custom_info_point",autoResultMap = true)
public class CustomInfoPoint extends Model<CustomInfoPoint> implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId
    @TableField("custom_info_point_id")
    @JsonProperty("custom_info_point_id")
    @JSONField(name = "custom_info_point_id")
	private String customInfoPointId;
    /**
     * 信息点控件名
     */
    @TableField("custom_info_point_name")
    @JsonProperty("custom_info_point_name")
    @JSONField(name = "custom_info_point_name")
    private String customInfoPointName;
    /**
     * 控件明细
     */
    @TableField(value = "details",typeHandler = JacksonTypeHandler.class)
    @JsonProperty("details")
    @JSONField(name = "details")
    private CustomInfoPointsBean details;
    /**
     * 创建时间,格式为yyyyMMddHHmmss
     */
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @JsonProperty("create_time")
    @JSONField(name = "create_time")
    private String createTime;
    /**
     * 更新时间,格式为yyyyMMddHHmmss
     */
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    @JsonProperty("update_time")
    @JSONField(name = "update_time")
    private String updateTime;
    /**
     * 1-有效 0-无效
     */
    @TableField(value = "valid")
    @JsonProperty("valid")
    @JSONField(name = "valid")
    private Boolean valid;

}