package com.persagy.fm.sop.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * (operate_log)实体类
 *
 * @author lijie
 * @since 2021-03-31 18:08:21
 * @description 由 Mybatisplus Code Generator 创建
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("operate_log")
public class OperateLog extends Model<OperateLog> implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId
	private String logId;
    /**
     * 操作人id
     */
    private String operatePersonId;
    /**
     * 操作表名
     */
    private String tableName;
    /**
     * 操作类型
     */
    private String operateType;
    /**
     * 请求方法
     */
    private String requestMethod;
    /**
     * 请求内容
     */
    private Object requestContent;
    /**
     * 操作时间,格式为yyyyMMddHHmmss
     */
    private String operateTime;
    /**
     * 操作结果
     */
    private String operateResult;
    /**
     * 操作结果内容
     */
    private Object resultContent;
    /**
     * 创建时间,格式为yyyyMMddHHmmss
     */
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private String createTime;
    /**
     * 更新时间,格式为yyyyMMddHHmmss
     */
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    private String updateTime;
    /**
     * 1-有效 0-无效
     */
    @TableField(value = "valid")
    private Boolean valid;

}