package com.persagy.fm.sop.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.fm.sop.handler.JsonTypeHandlerFactory;
import com.persagy.fm.sop.model.dto.OperatorBean;
import com.persagy.fm.sop.model.dto.RelatedDataBean;
import com.persagy.fm.sop.model.dto.SopSignBean;
import com.persagy.fm.sop.model.vo.SignVo;
import lombok.*;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * (sop)实体类
 *
 * @author lijie
 * @since 2021-03-31 18:08:21
 * @description 由 Mybatisplus Code Generator 创建
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName(value = "sop",autoResultMap = true)
@Builder
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
public class Sop extends Model<Sop> implements Serializable {
    private static final long serialVersionUID = 1L;
    /**SOP的名称*/
    public static final String SOP_NAME="sop_name";
    /**SOP的id*/
    public static final String SOP_ID="sop_id";
    /**SOP的状态*/
    public static final String SOP_STATUS="sop_status";
    /**SOP的有效状态*/
    public static final String VALID="valid";
    /**SOP的项目id*/
    public static final String PROJECT_ID="project_id";
    /**SOP的更新时间*/
    public static final String UPDATE_TIME="update_time";
    /**SOP的更新时间*/
    public static final String UPDATE_TIME_FROM="update_time_from";
    /**SOP的更新时间*/
    public static final String UPDATE_TIME_TO="update_time_to";

    /**
     * SOP的主键id
     */
    @TableId
    @TableField(value = "sop_id")
    @JSONField(name = "sop_id")
	private String sopId;
    /**
     * 项目id,集团SOP的值为group_sop_id
     */
    @TableField(value = "project_id")
    @JSONField(name = "project_id")
    private String projectId;
    /**
     * 建筑功能类型
     */
    @TableField(value = "extend_field")
    @JSONField(name = "extend_field")
    private String extendField;
    /**
     * 操作人id,为人员id或账号id
     */
    @TableField(value = "operator_id")
    @JSONField(name = "operator_id")
    private String operatorId;
    /**
     * 操作人姓名,为人员名称或账号名称
     */
    @TableField(value = "operator_name")
    @JSONField(name = "operator_name")
    private String operatorName;
    /**
     * SOP的名称,目前长度定为100.交互支持50个字符
     */
    @TableField(value = "sop_name")
    @JSONField(name = "sop_name")
    private String sopName;
    /**
     * SOP类型,1-通用,2-项目专用
     */
    @TableField(value = "sop_type")
    @JSONField(name = "sop_type")
    private String sopType;
    /**
     * 是否有无对象的步骤,0-否 1-是.当为引用的SOP时,就算被引用的没有对象也为1
     */
    @TableField(value = "no_obj")
    @JSONField(name = "no_obj")
    private String noObj;
    /**
     * 相关资料,[{"name":"***","url"："***"}]
     */
    @TableField(value = "related_data",typeHandler = JsonTypeHandlerFactory.RelatedDataBeanHandler.class)
    @JSONField(name = "related_data")
    private List<RelatedDataBean> relatedData;
    /**
     * 1-已发布、2-已作废
     */
    @TableField(value = "sop_status")
    @JSONField(name = "sop_status")
    private String sopStatus;
    /**
     * 1-正常、2-待修订、3-修订中
     */
    @TableField(value = "publish_status")
    @JSONField(name = "publish_status")
    private String publishStatus;
    /**
     * 版本号
     */
    @TableField(value = "version")
    @JSONField(name = "version")
    private String version;
    /**
     * 版本数量
     */
    @TableField(value = "version_count")
    @JSONField(name = "version_count")
    private Integer versionCount;
    /**
     * 版本说明,[“描述”,“描述”]
     */
    @TableField(value = "version_explain",typeHandler = JacksonTypeHandler.class)
    @JSONField(name = "version_explain")
    private List<String> versionExplain;
    /**
     * 创建时间,格式为yyyyMMddHHmmss
     */
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @JSONField(name = "create_time")
    private String createTime;
    /**
     * 更新时间,格式为yyyyMMddHHmmss
     */
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    @JSONField(name = "update_time")
    private String updateTime;
    /**
     * 是否有效
     */
    @TableField(value = "valid")
    @JSONField(name = "valid")
    private Boolean valid;

}