package com.persagy.fm.sop.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.fm.common.model.entity.IBaseEntity;
import com.persagy.fm.common.model.entity.ITreeEntity;
import com.persagy.fm.sop.handler.JsonTypeHandlerFactory;
import com.persagy.fm.sop.model.dto.AttBean;
import com.persagy.fm.sop.model.dto.CustomInfoPointsBean;
import com.persagy.fm.sop.model.dto.InfoPointsBean;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.JdbcType;
import org.jetbrains.annotations.NotNull;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * (sop_cell)实体类
 *
 * @author lijie
 * @since 2021-03-31 18:08:21
 * @description 由 Mybatisplus Code Generator 创建
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName(value = "sop_cell",autoResultMap = true)
public class SopCell extends Model<SopCell> implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * SOP_CELL的主键id
     */
    @TableId
    @TableField(value = "sop_cell_id")
    @JsonProperty("sop_cell_id")
	private String sopCellId;
    /**
     * 父级id,SOP的id或者sop_cell_id
     */
    @TableField(value = "parent_id")
    @JsonProperty("parent_id")
    private String parentId;
    /**
     * true-引用的SOP.是否引用的SOP
     */
    @TableField(value = "from_sop")
    @JsonProperty("from_sop")
    private Boolean fromSop;
    /**
     * 项目id
     */
    @TableField(value = "project_id")
    @JsonProperty("project_id")
    private String projectId;
    /**
     * 所属SOP的id
     */
    @TableField(value = "sop_id")
    @JsonProperty("sop_id")
    private String sopId;
    /**
     * 引用的SOP
     */
    @TableField(value = "rel_sop_id")
    @JsonProperty("rel_sop_id")
    private String relSopId;
    /**
     * 执行前验证  默认为空,1-设备运行继续执行,2-设备停用继续执行,3-设备停机继续执行
     */
    @TableField(value = "pre_execute")
    @JsonProperty("pre_execute")
    private String preExecute;
    /**
     * 强制确认
     */
    @TableField(value = "pre_conform")
    @JsonProperty("pre_conform")
    private String preConform;
    /**
     * 注意事项
     */
    @TableField(value = "notice")
    private String notice;
    /**
     * 对象管控需求
     */
    @TableField(value = "obj_required_control",typeHandler = JacksonTypeHandler.class)
    @JsonProperty("obj_required_control")
    private List<String> objRequiredControl;
    /**
     * 对象展示项 working_time-对象运行时间
     */
    @TableField(value = "obj_show_item",typeHandler = JacksonTypeHandler.class)
    @JsonProperty("obj_show_item")
    private List<String> objShowItem;
    /**
     * 工作时长(分钟数)
     */
    @TableField(value = "time_limit")
    @JsonProperty("time_limit")
    private Integer timeLimit;
    /**
     * 标准信息点数组
     */
    @TableField(value = "info_points",typeHandler = JsonTypeHandlerFactory.InfoPointsBeanHandler.class)
    @JsonProperty("info_points")
    private List<InfoPointsBean> infoPoints;
    /**
     * 内容描述
     */
    @TableField(value = "description")
    private String description;
    /**
     * 自定义信息点数组
     */
    @TableField(value = "customs",typeHandler = JsonTypeHandlerFactory.CustomInfoPointsBeanHandler.class)
    @JsonProperty("customs")
    private List<CustomInfoPointsBean> customs;
    /**
     * 创建时间,格式为yyyyMMddHHmmss
     */
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    private String createTime;
    /**
     * 更新时间,格式为yyyyMMddHHmmss
     */
    @TableField(value = "update_time",fill = FieldFill.INSERT_UPDATE)
    private String updateTime;
    /**
     * 是否有效
     */
    @TableField(value = "valid")
    private Boolean valid;
    @JsonProperty("pic")
    @TableField(value = "pic",typeHandler = JacksonTypeHandler.class)
    private List<String> pic;
    @JsonProperty("att")
    @TableField(value = "att",typeHandler = JsonTypeHandlerFactory.AttBeanHandler.class)
    private List<AttBean> att;
    @JsonProperty("content_objs")
    @TableField(exist = false)
    private List<SopObjRel> contentObjs;
    @JsonProperty("space_scope")
    @TableField(exist = false)
    private List<SopObjRel> spaceScope;
    @JsonProperty("domain")
    @TableField(exist = false)
    private String domain;
    @JsonProperty("confirm_result")
    @TableField(exist = false)
    private List<SopCell> confirmResult;
    @JsonProperty("step_content")
    @TableField(exist = false)
    private List<SopCell> stepContent;
    @JsonProperty("version")
    @TableField(exist = false)
    private String version;
    @JsonProperty("step_count")
    @TableField(exist = false)
    private Integer stepCount;
    @JsonProperty("stauts_explain")
    @TableField(exist = false)
    private String stautsExplain;
    /**
     * SOP的名称
     */
    @JsonProperty("sop_name")
    @TableField(exist = false)
    @JSONField(name = "sop_name")
    private String sopName;
    /**
     * 专业名称
     */
    @JsonProperty("domain_name")
    @TableField(exist = false)
    private String domainName;

    /**
     * 步骤内容中的content,兼容老数据产生
     */
    @TableField(value = "content")
    private String content;
    /**
     * 在到达每个对象位置时拍照
     */
    @TableField(value = "is_photo")
    private Boolean isPhoto;
    /**
     * 前端传递的参数
     */
    @TableField(value = "edit_content")
    private Boolean editContent;
    /**
     * 前端传参,后端无用.兼容老数据产生
     */
    @TableField(value = "flag")
    private String flag;
    /**
     * 临时的SOP的id,前端传的参,后端无用,兼容老数据产生
     */
    @TableField(value = "temp_sop_id")
    private String tempSopId;
    /**
     * 在到达每个对象位置时扫码
     */
    @TableField(value = "is_scan")
    private Boolean isScan;
    /**
     * 在到达每个指定对象时进行NFC识别
     */
    @TableField(value = "is_nfc")
    private Boolean isNfc;
    /**
     * 对象运行时间
     */
    @TableField(value = "working_time")
    private Boolean workingTime;
    /**
     * 前端传参,兼容老数据产生
     */
    @TableField(value = "pre_conform_focus")
    private Boolean preConformFocus;
    /**
     * 前端传参,兼容老数据产生
     */
    @TableField(value = "notice_focus")
    private Boolean noticeFocus;
    /**
     * 前端传参,兼容老数据产生
     */
    @TableField(value = "content_focus")
    private Boolean contentFocus;
    /**
     * 前端传参,兼容老数据产生
     */
    @TableField(value = "verified")
    private String verified;

}