package com.persagy.fm.sop.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * (sop_destroy_msg)实体类
 *
 * @author lijie
 * @since 2021-03-31 18:08:21
 * @description 由 Mybatisplus Code Generator 创建
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("sop_destroy_msg")
@Builder
@AllArgsConstructor
public class SopDestroyMsg extends Model<SopDestroyMsg> implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId
	private String msgId;
    /**
     * 项目id
     */
    private String projectId;
    /**
     * SOP的主键id
     */
    private String sopId;
    /**
     * 被引用的sop主键id
     */
    private String refSopId;
    /**
     * 被引用的sop名称
     */
    private String refSopName;
    /**
     * 被引用的sop状态描述
     */
    private String refSopStatus;
    /**
     * 状态,1-未处理、2-已处理
     */
    private String status;
    /**
     * 创建时间,格式为yyyyMMddHHmmss
     */
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private String createTime;
    /**
     * 更新时间,格式为yyyyMMddHHmmss
     */
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    private String updateTime;
    /**
     * 1-有效 0-无效
     */
    @TableField(value = "valid")
    private Boolean valid;

}