package com.persagy.fm.sop.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * (sop_domain_rel)实体类
 *
 * @author lijie
 * @since 2021-03-31 18:08:21
 * @description 由 Mybatisplus Code Generator 创建
 */
@Data
// @NoArgsConstructor
@Accessors(chain = true)
@TableName("sop_domain_rel")
@Builder
@EqualsAndHashCode(callSuper = false)
public class SopDomainRel extends Model<SopDomainRel> implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId
    @TableField(value = "sop_domain_rel_id")
	private String sopDomainRelId;
    /**
     * 父级id,SOP的id或者sop_cell_id
     */
    @TableField(value = "parent_id")
    private String parentId;
    /**
     * 专业code
     */
    @TableField(value = "domain")
    private String domain;
    /**
     * 创建时间,格式为yyyyMMddHHmmss
     */
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    private String createTime;
    /**
     * 更新时间,格式为yyyyMMddHHmmss
     */
    @TableField(value = "update_time",fill = FieldFill.INSERT_UPDATE)
    private String updateTime;
    /**
     * 是否有效
     */
    @TableField(value = "valid")
    private Boolean valid;

}