package com.persagy.fm.sop.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author lijie
 * @since 2021-04-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sop_equip_model_rel")
@Builder
public class SopEquipModelRel extends Model<SopEquipModelRel> {

    private static final long serialVersionUID = 1L;
    /**SOP的id*/
    public static final String SOP_ID="sop_id";
    /**设备模型的id*/
    public static final String EQUIP_MODEL_ID="equip_model_id";

    /**
     * 主键id
     */
    @TableId(value = "sop_equip_model_id", type = IdType.ASSIGN_ID)
    private String sopEquipModelId;

    /**
     * SOP的主键id
     */
    @TableField("sop_id")
    private String sopId;

    /**
     * 设备型号id
     */
    @TableField("equip_model_id")
    private String equipModelId;

    /**
     * 创建时间,格式为yyyyMMddHHmmss
     */
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    private String createTime;

    /**
     * 更新时间,格式为yyyyMMddHHmmss
     */
    @TableField(value = "update_time",fill = FieldFill.INSERT_UPDATE)
    private String updateTime;

    /**
     * 是否有效
     */
    @TableField("valid")
    private Boolean valid;

    @Override
    protected Serializable pkVal() {
        return this.sopEquipModelId;
    }

}
