package com.persagy.fm.sop.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;

import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author lijie
 * @since 2021-04-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sop_label_rel")
@Builder
public class SopLabelRel extends Model<SopLabelRel> {

    private static final long serialVersionUID = 1L;
    /**Sop的唯一标识id*/
    public static final String SOP_ID = "sop_id";
    /**标签名称*/
    public static final String LABEL = "label";

    /**
     * 主键id
     */
    @TableId(value = "sop_label_id", type = IdType.ASSIGN_ID)
    private String sopLabelId;

    /**
     * sop的主键id
     */
    @TableField("sop_id")
    private String sopId;

    /**
     * 标签名称
     */
    @TableField("label")
    private String label;

    /**
     * 创建时间,格式为yyyyMMddHHmmss
     */
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    private String createTime;

    /**
     * 更新时间,格式为yyyyMMddHHmmss
     */
    @TableField(value = "update_time",fill = FieldFill.INSERT_UPDATE)
    private String updateTime;

    /**
     * 是否有效
     */
    @TableField("valid")
    private Boolean valid;


    @Override
    protected Serializable pkVal() {
        return this.sopLabelId;
    }

}
