package com.persagy.fm.sop.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.fm.sop.handler.JsonTypeHandlerFactory;
import com.persagy.fm.sop.model.dto.ParentsBean;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * (sop_obj_rel)实体类
 *
 * @author lijie
 * @since 2021-03-31 18:08:21
 * @description 由 Mybatisplus Code Generator 创建
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName(value = "sop_obj_rel",autoResultMap = true)
@Builder
@AllArgsConstructor
public class SopObjRel extends Model<SopObjRel> implements Serializable {
    private static final long serialVersionUID = 1L;
    /**父级id*/
    public static final String PARENT_ID="parent_id";
    /**对象来源*/
    public static final String OBJ_OWNER="obj_owner";

    /**
     * 主键id
     */
    @TableId
    @TableField("sop_obj_id")
    @JsonProperty("sop_obj_id")
	private String sopObjId;
    /**
     * SOP的id或sop的内容id
     */
    @TableField("parent_id")
    @JsonProperty("parent_id")
    private String parentId;
    /**
     * SOP的id
     */
    @TableField("sop_id")
    @JsonProperty("sop_id")
    private String sopId;
    /**
     * 对象id
     */
    @TableField("obj_id")
    @JsonProperty("obj_id")
    private String objId;
    /**
     * 对象类型
     */
    @TableField("obj_type")
    @JsonProperty("obj_type")
    private String objType;
    /**
     * 对象名称
     */
    @TableField("obj_name")
    @JsonProperty("obj_name")
    private String objName;
    /**
     * 对象code
     */
    @TableField("obj_code")
    @JsonProperty("obj_code")
    private String objCode;
    /**
     * 对象所属类ID（用于空间系统设备对象，前端筛选同一类型对象使用）
     */
    @TableField("type_code")
    @JsonProperty("type_code")
    private String typeCode;
    /**
     * true-需修订,false-不需修订
     */
    @TableField("is_revise")
    @JsonProperty("is_revise")
    private Boolean isRevise;
    /**
     * 父类对象
     */
    @TableField(value = "parents",typeHandler = JsonTypeHandlerFactory.ParentsBeanHandler.class)
    private List<ParentsBean> parents;
    /**
     * content_obj-步骤中操作对象
     */
    @TableField("obj_source")
    @JsonProperty("obj_source")
    private String objSource;
    /**
     * content_obj-步骤中的操作对象,space_scope-空间范围,fit_obj-适用范围
     */
    @TableField("obj_owner")
    @JsonProperty("obj_owner")
    private String objOwner;
    /**
     * 创建时间,格式为yyyyMMddHHmmss
     */
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @JsonProperty("create_time")
    private String createTime;
    /**
     * 更新时间,格式为yyyyMMddHHmmss
     */
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    @JsonProperty("update_time")
    private String updateTime;
    /**
     * 1-有效 0-无效
     */
    @TableField(value = "valid")
    private Boolean valid;

}