package com.persagy.fm.sop.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;

import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author lijie
 * @since 2021-04-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sop_order_type_rel")
@Builder
public class SopOrderTypeRel extends Model<SopOrderTypeRel> {

    private static final long serialVersionUID = 1L;
    /**SOP的唯一标识id*/
    public static final String SOP_ID="sop_id";
    /**order_type*/
    public static final String ORDER_TYPE="order_type";

    /**
     * 主键id
     */
    @TableId(value = "sop_order_type_id", type = IdType.ASSIGN_ID)
    private String sopOrderTypeId;

    /**
     * SOP的主键id
     */
    @TableField("sop_id")
    private String sopId;

    /**
     * 项目id
     */
    @TableField("project_id")
    private String projectId;

    /**
     * 工单类型id
     */
    @TableField("order_type")
    private String orderType;

    /**
     * 创建时间,格式为yyyyMMddHHmmss
     */
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    private String createTime;

    /**
     * 更新时间,格式为yyyyMMddHHmmss
     */
    @TableField(value = "update_time",fill = FieldFill.INSERT_UPDATE)
    private String updateTime;

    /**
     * 是否有效
     */
    @TableField("valid")
    private Boolean valid;


    @Override
    protected Serializable pkVal() {
        return this.sopOrderTypeId;
    }

}
