package com.persagy.fm.sop.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * (sop_revise_msg)实体类
 *
 * @author lijie
 * @since 2021-03-31 18:08:21
 * @description 由 Mybatisplus Code Generator 创建
 */
@Data
@Accessors(chain = true)
@TableName("sop_revise_msg")
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SopReviseMsg extends Model<SopReviseMsg> implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId
	private String msgId;
    /**
     * SOP的主键id
     */
    private String sopId;
    /**
     * 作废对象id
     */
    private String objId;
    /**
     * 作废对象名称
     */
    private String objName;
    /**
     * 作废对象类型,1-对象模型、2-对象实例、3-信息点
     */
    private String objType;
    /**
     * 消息内容
     */
    private String content;
    /**
     * 状态,1-未处理、2-已忽略、3-已自动处理
     */
    private String status;
    /**
     * 创建时间,格式为yyyyMMddHHmmss
     */
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private String createTime;
    /**
     * 更新时间,格式为yyyyMMddHHmmss
     */
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    private String updateTime;
    /**
     * 1-有效 0-无效
     */
    @TableField(value = "valid")
    private Boolean valid;

}