package com.persagy.fm.sop.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * (sop_tool_rel)实体类
 *
 * @author lijie
 * @since 2021-03-31 18:08:21
 * @description 由 Mybatisplus Code Generator 创建
 */
@Data
// @NoArgsConstructor
@Accessors(chain = true)
@TableName("sop_tool_rel")
@Builder
//@KeySequence("mybatisKeyGenerator")
@EqualsAndHashCode(callSuper = false)
public class SopToolRel extends Model<SopToolRel> implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId
    @TableField("sop_tool_rel_id")
	private String sopToolRelId;
    /**
     * 父级id,SOP的id或者sop_cell_id
     */
    @TableField("parent_id")
    private String parentId;
    /**
     * 工具名称
     */
    @TableField("tool")
    private String tool;
    /**
     * 1-是步骤中的工具,0或空-不是步骤中的工具
     */
    @TableField("from_step")
    private Boolean fromStep;
    /**
     * 创建时间,格式为yyyyMMddHHmmss
     */
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private String createTime;
    /**
     * 更新时间,格式为yyyyMMddHHmmss
     */
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    private String updateTime;
    /**
     * 1-有效 0-无效
     */
    @TableField("valid")
    private Boolean valid;

}