package com.persagy.fm.sop.enums;


/***
 * Description: 导入SOP文件表头
 * @author : lijie
 * @date :2021/3/4 10:58
 * Update By lijie 2021/3/4 10:58
 */
public enum SopColumnEnum {

	/**标准操作知识名称*/
	SOP_NAME(0,"标准操作知识名称"),
	/**对象分类*/
	OBJ_CLASSIFY(1,"对象分类"),
	/**对象选择*/
	OBJ_CHOICE(2,"对象选择"),
	/**对象编码*/
	OBJ_CODE(3,"对象编码"),
	/**空间范围*/
	SPACE_SCOPE(4,"空间范围"),
	/**空间编码*/
	SPACE_CODE(5,"空间编码"),
	/**在到达每个对象位置时拍照*/
	PHOTOGRAPH(6,"在到达每个对象位置时拍照"),
	/**在到达每个对象位置时扫码*/
	SCAN(7,"在到达每个对象位置时扫码"),
	/**工作时长（天）*/
	WORK_TIME_DAY(8,"工作时长（天）"),
	/**工作时长（小时）*/
	WORK_TIME_HOUR(9,"工作时长（小时）"),
	/**工作时长（分）*/
	WORK_TIME_MIN(10,"工作时长（分）"),
	/**强制确认操作前提*/
	PRE_CONFORM(11,"强制确认操作前提"),
	/**注意事项*/
	NOTICE(12,"注意事项"),
	/**标准作业操作内容*/
	JOB_DESCRIPTION(13,"标准作业操作内容"),
	/**是否反馈异常*/
	WRONG_FLAG(14,"是否反馈异常"),
	/**添加信息点*/
	INFO_NAME(15,"添加信息点"),
	/**标准下限*/
	DOWN_LIMIT(16,"标准下限"),
	/**添加信息点*/
	UPPER_LIMIT(17,"标准上限");

	/**在上传标准文件中的列索引号*/
	private Integer index;

	/**
	 * 描述
	 */
	private String name;

	public Integer getIndex() {
		return index;
	}

	public String getName() {
		return this.name;
	}

	SopColumnEnum(Integer index, String name) {
		this.name = name;
		this.index = index;
	}

	@Override
	public String toString() {
		return this.index+"_"+this.name;
	}
}
