package com.persagy.fm.sop.model.dto;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class BaseInfoPointsBean {
    /**
     * id : ***
     * code : ****
     * name : ****
     * unit : ***
     * cmpt : Numberentry02
     * wrong_ranges : [{"type":"gt","values":"12"},{"type":"lt","values":"6"}]
     * abnormal_set : {"execute_type":"","execute_dept_id":"","execute_dept_name":"","problem_type":"","problem_type_name":""}
     * cmpt_data : [{"code":"***","name":"***"}]
     * wrongs : ["选项1","选项2"]
     */
    @ApiModelProperty("计量单位")
    private String unit;
    @ApiModelProperty("cmpt,cmpt为在App中的组件,单选-Radio01，多选-Multiselect01，无单位数字- Numberentry01，有单位数字-Numberentry02，文本-Textentry01")
    private String cmpt;
    @ApiModelProperty("异常信息设置")
    @JsonAlias({"abnormal_set", "abnormalSet"})
    @JsonProperty("abnormal_set")
    private AbnormalSetBean abnormalSet;
    @ApiModelProperty("异常范围")
    @JsonAlias({"wrong_ranges", "wrongRanges"})
    @JsonProperty("wrong_ranges")
    private List<WrongRangesBean> wrongRanges;
    @ApiModelProperty("App中的组件")
    @JsonAlias({"cmpt_data", "cmptData"})
    @JsonProperty("cmpt_data")
    private List<CmptDataBean> cmptData;
    @ApiModelProperty("异常值数组")
    private List<String> wrongs;
    @ApiModelProperty("异常值数组")
    private List<String> items;
    @ApiModelProperty("是否选中")
    @JsonProperty("is_select")
    @JsonAlias({"is_select", "isSelect"})
    private String isSelect;
    @ApiModelProperty("前端传参,兼容老数据产生")
    private Boolean dragable;
    @ApiModelProperty("前端传参,兼容老数据产生")
    private Boolean drag;
    @ApiModelProperty("是否异常")
    private Boolean isAbnormal;
}