package com.persagy.fm.sop.model.dto;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.fm.common.validator.Insert;
import com.persagy.fm.sop.validator.ProjectInsert;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ConfirmResultBean {
    /**
     * description :
     * pic : ["",""]
     * att : [{"key":"","name":""}]
     * info_points : [{"id":"***","code":"****","name":"****","unit":"***","cmpt":"Numberentry02","wrong_ranges":[{"type":"gt","values":"12"},{"type":"lt","values":"6"}],"abnormal_set":{"execute_type":"","execute_dept_id":"","execute_dept_name":"","problem_type":"","problem_type_name":""}},{"id":"***","code":"****","name":"****","unit":"***","cmpt":"Multiselect01","cmpt_data":[{"code":"***","name":"***"}],"wrongs":["选项1","选项2"],"abnormal_set":{"execute_type":"","execute_dept_id":"","execute_dept_name":"","problem_type":"","problem_type_name":""}}]
     * customs : [{"is_select":true,"name":"异常情况","type":"2","items":["正常","异常"],"wrongs":["异常"],"abnormal_set":{"execute_type":"","execute_dept_id":"","execute_dept_name":"","problem_type":"","problem_type_name":""}},{"name":"确认信息2","type":"2","items":["选项1","选项2","选项3"],"wrongs":["选项1","选项2"],"abnormal_set":{"execute_type":"","execute_dept_id":"","execute_dept_name":"","problem_type":"","problem_type_name":""}},{"name":"确认信息3","type":"3","items":["选项1","选项2","选项3"],"wrongs":["选项1","选项2"],"abnormal_set":{"execute_type":"","execute_dept_id":"","execute_dept_name":"","problem_type":"","problem_type_name":""}},{"name":"确认信息4","type":"4","wrong_ranges":[{"type":"gt","values":"12"},{"type":"lt","values":"6"}],"abnormal_set":{"execute_type":"","execute_dept_id":"","execute_dept_name":"","problem_type":"","problem_type_name":""}},{"name":"确认信息5","type":"5","unit":"***","wrong_ranges":[{"type":"range","values":["12","20"]}],"abnormal_set":{"execute_type":"","execute_dept_id":"","execute_dept_name":"","problem_type":"","problem_type_name":""}}]
     */
    @NotBlank(message = "缺少非空项:confirm_result.description",groups = {Insert.class, ProjectInsert.class})
    @ApiModelProperty("内容描述")
    private String description;
    @ApiModelProperty("对象id")
    @JsonAlias({"obj_id","objId"})
    @JsonProperty("obj_id")
    private String objId;
    @ApiModelProperty("对象名称")
    @JsonAlias({"obj_name","objName"})
    @JsonProperty("obj_name")
    private String objName;
    @ApiModelProperty("对象类型")
    @JsonAlias({"obj_type","objType"})
    @JsonProperty("obj_type")
    private String objType;
    @ApiModelProperty("对象本地编码名称")
    @JsonAlias({"obj_code","objCode"})
    @JsonProperty("obj_code")
    private String objCode;
    @ApiModelProperty("信息点集合")
    @JsonAlias({"info_points","infoPoints"})
    @JsonProperty("info_points")
    private List<@Valid InfoPointsBean> infoPoints;
    @ApiModelProperty("自定义信息点集合")
    private List<@Valid CustomInfoPointsBean> customs;
    @ApiModelProperty("图片集合")
    private List<String> pic;
    @ApiModelProperty("附件集合")
    private List<AttBean> att;






}