package com.persagy.fm.sop.model.dto;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ContentObjsBean {
    /**
     * obj_id : ***
     * obj_name : 对象名称1
     * obj_type : equip_class
     * type_code :
     * parents : [{"parent_ids":["***","***","***"],"parent_names":["建筑1","楼层1","空间"]},{"parent_ids":["***","***"],"parent_names":["专业1","系统1"]},{"parent_ids":["***","***","***"],"parent_names":["专业1","系统大类","设备大类"]}]
     */
    @NotBlank(message = "缺少非空项:content_objs.obj_id")
    @ApiModelProperty("对象id")
    @JsonAlias({"obj_id", "objId"})
    @JsonProperty("obj_id")
    private String objId;
    @NotBlank(message = "缺少非空项:content_objs.obj_name")
    @ApiModelProperty("对象名称")
    @JsonAlias({"obj_name", "objName"})
    @JsonProperty("obj_name")
    private String objName;
    @NotBlank(message = "缺少非空项:content_objs.obj_type")
    @ApiModelProperty("对象类型")
    @JsonAlias({"obj_type", "objType"})
    @JsonProperty("obj_type")
    private String objType;
    @ApiModelProperty("对象来源  content_obj：步骤中操作对象")
    @JsonAlias({"obj_source", "objSource"})
    @JsonProperty("obj_source")
    private String objSource;
    @ApiModelProperty("对象本地编码名称")
    @JsonAlias({"obj_code", "objCode"})
    @JsonProperty("obj_code")
    private String objCode;
    @ApiModelProperty("对象所属类ID（用于空间系统设备对象，前端筛选同一类型对象使用）")
    @JsonAlias({"type_code", "typeCode"})
    @JsonProperty("type_code")
    private String typeCode;
    @ApiModelProperty("待修订、修订中的sop可能会有待修订标记\"is_revise\"的出现，当\"is_revise\":true时，代表该对象需要修订，页面中标红")
    @JsonAlias({"is_revise", "isRevise"})
    @JsonProperty("is_revise")
    private Boolean isRevise;
    @ApiModelProperty("前端传递的参数,后端无实际作用,兼容老数据产生")
    private Boolean checked;
    @ApiModelProperty("父类信息")
    private List<ParentsBean> parents;
}