package com.persagy.fm.sop.model.dto;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.persagy.fm.common.validator.Insert;
import com.persagy.fm.sop.validator.ProjectInsert;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CustomInfoPointsBean extends BaseInfoPointsBean{
    /**
     * id : ***
     * code : ****
     * name : ****
     * unit : ***
     * cmpt : Numberentry02
     * wrong_ranges : [{"type":"gt","values":"12"},{"type":"lt","values":"6"}]
     * abnormal_set : {"execute_type":"","execute_dept_id":"","execute_dept_name":"","problem_type":"","problem_type_name":""}
     * cmpt_data : [{"code":"***","name":"***"}]
     * wrongs : ["选项1","选项2"]
     */
    @ApiModelProperty("信息点id")
    private String id;
    @ApiModelProperty("信息点code")
    private String code;
    @ApiModelProperty("信息点名称")
    @NotBlank(message = "缺少非空项:customs.name",groups = {Insert.class, ProjectInsert.class})
    private String name;
    @ApiModelProperty("类型")
    @NotBlank(message = "缺少非空项:customs.type",groups = {Insert.class, ProjectInsert.class})
    private String type;
    @ApiModelProperty("状态")
    private String status;
    @ApiModelProperty("初始化名称")
    @JsonAlias({"init_name","initName"})
    private String initName;
}