package com.persagy.fm.sop.model.dto;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.fm.common.validator.Insert;
import com.persagy.fm.sop.validator.ProjectInsert;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class FitObjsBean {
    /**
     * obj_id : ***
     * obj_name : 对象名称1
     * obj_code : XXX
     * obj_type : system
     * obj_source : content_obj
     */
    @NotBlank(message = "缺少非空项:fit_objs.obj_id",groups = {Insert.class, ProjectInsert.class})
    @ApiModelProperty("对象id")
    @JsonAlias({"obj_id","objId"})
    @JsonProperty("obj_id")
    private String objId;
    @NotBlank(message = "缺少非空项:fit_objs.obj_name",groups = {Insert.class, ProjectInsert.class})
    @ApiModelProperty("对象名称")
    @JsonAlias({"obj_name","objName"})
    @JsonProperty("obj_name")
    private String objName;
    @NotBlank(message = "缺少非空项:fit_objs.obj_type",groups = {Insert.class, ProjectInsert.class})
    @ApiModelProperty("对象类型")
    @JsonAlias({"obj_type","objType"})
    @JsonProperty("obj_type")
    private String objType;
    @ApiModelProperty("对象来源  content_obj：步骤中操作对象")
    @JsonAlias({"obj_source","objSource"})
    @JsonProperty("obj_source")
    private String objSource;
    @ApiModelProperty("对象本地编码名称")
    @JsonAlias({"obj_code","objCode"})
    @JsonProperty("obj_code")
    private String objCode;
    @ApiModelProperty(value = "校验标识",hidden = true)
    private Boolean checked;
    @ApiModelProperty(value = "父类对象信息",hidden = true)
    private List<ParentsBean> parents;



}
