package com.persagy.fm.sop.model.dto;

import com.persagy.fm.common.validator.Insert;
import com.persagy.fm.sop.validator.ProjectInsert;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
public class InfoPointsBean extends BaseInfoPointsBean{
    /**
     * id : ***
     * code : ****
     * name : ****
     * unit : ***
     * cmpt : Numberentry02
     * wrong_ranges : [{"type":"gt","values":"12"},{"type":"lt","values":"6"}]
     * abnormal_set : {"execute_type":"","execute_dept_id":"","execute_dept_name":"","problem_type":"","problem_type_name":""}
     * cmpt_data : [{"code":"***","name":"***"}]
     * wrongs : ["选项1","选项2"]
     */
    @ApiModelProperty("信息点id")
    @NotBlank(message = "缺少非空项:info_points.id",groups = {Insert.class, ProjectInsert.class})
    private String id;
    @ApiModelProperty("信息点code")
    @NotBlank(message = "缺少非空项:info_points.code",groups = {Insert.class, ProjectInsert.class})
    private String code;
    @ApiModelProperty("信息点名称")
    @NotBlank(message = "缺少非空项:info_points.name",groups = {Insert.class, ProjectInsert.class})
    private String name;
    @ApiModelProperty(value = "是否待修订状态:true-待修订,false-未修订",hidden = true)
    private Boolean isRevise;
    @ApiModelProperty("前端传参,兼容老数据产生")
    private Boolean checked;
}