package com.persagy.fm.sop.model.dto;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RefedSopBean{
    /**
     * ref_sop_id : ***
     * ref_sop_name : ***
     * version : V0.3
     * stauts_explain : 已发布，修订中
     * update_time : 20170620093000
     */
    @ApiModelProperty(value = "引用的SOP的唯一标识id")
    @JsonAlias({"ref_sop_id","refSopId"})
    @JsonProperty("ref_sop_id")
    private String refSopId;
    @ApiModelProperty(value = "引用的SOP的名称")
    @JsonAlias({"ref_sop_name","refSopName"})
    @JsonProperty("ref_sop_name")
    private String refSopName;
    @ApiModelProperty(value = "版本号")
    private String version;
    @ApiModelProperty(value = "sop状态")
    @JsonAlias({"stauts_explain","stautsExplain"})
    @JsonProperty("stauts_explain")
    private String statusExplain;
    @ApiModelProperty(value = "更新时间")
    @JsonAlias({"update_time","updateTime"})
    @JsonProperty("update_time")
    private String updateTime;
    @ApiModelProperty(value = "步骤数量")
    @JsonAlias({"step_count","stepCount"})
    @JsonProperty("step_count")
    private Integer stepCount;
    @ApiModelProperty("项目id   sop_type为\"2\"时有该字段")
    @JsonProperty("project_id")
    @JsonAlias({"project_id","projectId"})
    private String projectId;
    @ApiModelProperty("项目名称  sop_type为\"2\"时有该字段")
    @JsonProperty("project_name")
    @JsonAlias({"project_name","projectName"})
    private String projectName;
    @ApiModelProperty("操作人")
    private OperatorBean operator;
    @ApiModelProperty("sop类型:1通用 2项目")
    @JsonProperty("sop_type")
    @JsonAlias({"sop_type","sopType"})
    private String sopType;
    @ApiModelProperty("sop状态")
    @JsonProperty("sop_status")
    @JsonAlias({"sop_status","sopStatus"})
    private String sopStatus;
    @ApiModelProperty("SOP的发布状态")
    @JsonProperty("publish_status")
    @JsonAlias({"publish_status","publishStatus"})
    private String publishStatus;
    @ApiModelProperty("SOP的发布状态")
    @JsonProperty("operator_id")
    @JsonAlias({"operator_id","operatorId"})
    private String operatorId;
    @ApiModelProperty("SOP的发布状态")
    @JsonProperty("operator_name")
    @JsonAlias({"operator_name","operatorName"})
    private String operatorName;

}
