package com.persagy.fm.sop.model.dto;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
/***
 * Description: 实例化规则Bean
 * @author : lijie
 * @date :2021/4/21 14:56
 * Update By lijie 2021/4/21 14:56
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class RuleBean {
    @ApiModelProperty("是否手动添加对象实例 1-是，0-否 默认0")
    @JsonAlias({"manual_obj_flag","manualObjFlag"})
    @JsonProperty("manual_obj_flag")
    private String manualObjFlag;
    @ApiModelProperty("计划每次是否执行全部对象  1-是，0-否 默认1 当manual_obj_flag = 0时，生效")
    @JsonAlias({"execute_all_obj_flag","executeAllObjFlag"})
    @JsonProperty("execute_all_obj_flag")
    private String executeAllObjFlag;
    @ApiModelProperty("实例化对象的空间范围")
    @JsonAlias({"space_scope","spaceScope","scope"})
    @JsonProperty("scope")
    private List<SpaceScopeBean> spaceScopes;
    @ApiModelProperty("对象执行排序 1-楼层,2-竖井,3-空间/设备,4-随机序号")
    private String order;
    @ApiModelProperty("重新随机:当order=4时可选择")
    @JsonAlias({"reset_random","resetRandom"})
    @JsonProperty("reset_random")
    private String resetRandom;
    @ApiModelProperty("实例化方式： 1-n次实例化完全部对象、2-每次实例化n个楼层/竖井、3-每次实例化n个对象")
    private String style;
    @ApiModelProperty("实例化周期： n次实例化完全部对象,style=1时有效")
    private String cycle;
    @ApiModelProperty("个数 style=2/3时有效")
    private String count;
    @ApiModelProperty("单位：1-个，2-%(百分比) style=3时有效")
    private String unit;




}