package com.persagy.fm.sop.model.dto;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.fm.common.validator.Insert;
import com.persagy.fm.sop.validator.ProjectInsert;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

/***
 * Description: 步骤信息
 * @author : lijie
 * @date :2021/4/1 11:10
 * Update By lijie 2021/4/1 11:10
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SopStepsBean {
    /**
     * from_sop : true
     * sop_id : ****
     * step_content : [{"from_sop":false,"pre_execute":"1","pre_conform":"*******","notice":"*****","content_objs":[{"obj_id":"***","obj_name":"对象名称1","obj_type":"equip_class","type_code":"","parents":[{"parent_ids":["***","***","***"],"parent_names":["建筑1","楼层1","空间"]},{"parent_ids":["***","***"],"parent_names":["专业1","系统1"]},{"parent_ids":["***","***","***"],"parent_names":["专业1","系统大类","设备大类"]}]}],"space_scope":[{"obj_id":"***","obj_name":"对象名称1","obj_type":"space_class"}],"obj_required_control":["code","code"],"obj_show_item":["code","code"],"time_limit":5,"confirm_result":[{"description":"","pic":["",""],"att":[{"key":"","name":""}],"info_points":[{"id":"***","code":"****","name":"****","unit":"***","cmpt":"Numberentry02","wrong_ranges":[{"type":"gt","values":"12"},{"type":"lt","values":"6"}],"abnormal_set":{"execute_type":"","execute_dept_id":"","execute_dept_name":"","problem_type":"","problem_type_name":""}},{"id":"***","code":"****","name":"****","unit":"***","cmpt":"Multiselect01","cmpt_data":[{"code":"***","name":"***"}],"wrongs":["选项1","选项2"],"abnormal_set":{"execute_type":"","execute_dept_id":"","execute_dept_name":"","problem_type":"","problem_type_name":""}}],"customs":[{"is_select":true,"name":"异常情况","type":"2","items":["正常","异常"],"wrongs":["异常"],"abnormal_set":{"execute_type":"","execute_dept_id":"","execute_dept_name":"","problem_type":"","problem_type_name":""}},{"name":"确认信息2","type":"2","items":["选项1","选项2","选项3"],"wrongs":["选项1","选项2"],"abnormal_set":{"execute_type":"","execute_dept_id":"","execute_dept_name":"","problem_type":"","problem_type_name":""}},{"name":"确认信息3","type":"3","items":["选项1","选项2","选项3"],"wrongs":["选项1","选项2"],"abnormal_set":{"execute_type":"","execute_dept_id":"","execute_dept_name":"","problem_type":"","problem_type_name":""}},{"name":"确认信息4","type":"4","wrong_ranges":[{"type":"gt","values":"12"},{"type":"lt","values":"6"}],"abnormal_set":{"execute_type":"","execute_dept_id":"","execute_dept_name":"","problem_type":"","problem_type_name":""}},{"name":"确认信息5","type":"5","unit":"***","wrong_ranges":[{"type":"range","values":["12","20"]}],"abnormal_set":{"execute_type":"","execute_dept_id":"","execute_dept_name":"","problem_type":"","problem_type_name":""}}]}],"domain":"*****"},{"from_sop":true,"sop_id":"****"}]
     */
    @ApiModelProperty("是否引用的SOP,注意：此为多步骤sop的引用")
    @JsonProperty("from_sop")
    @JsonAlias({"from_sop","fromSop"})
    @NotNull(message = "缺少非空项:steps.from_sop",groups = {Insert.class, ProjectInsert.class})
    private Boolean fromSop;
    @ApiModelProperty("引用的SOP的id")
    @JsonProperty("sop_id")
    @JsonAlias({"sop_id","sopId"})
    private String sopId;
    @ApiModelProperty("步骤内容")
    @JsonProperty("step_content")
    @JsonAlias({"step_content","stepContent"})
    private List<@Valid StepContentBean> stepContent;
    @ApiModelProperty(value = "前端传参,后端无用.兼容老数据产生",hidden = true)
    private String flag;
    @ApiModelProperty(value = "临时的SOP的id,前端传的参,后端无用,兼容老数据产生",hidden = true)
    @JsonProperty("temp_sop_id")
    @JsonAlias({"temp_sop_id","tempSopId"})
    private String tempSopId;
    private RefedSopBean profile;

}
