package com.persagy.fm.sop.model.vo;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

/***
 * Description: 新增SOP的VO类
 * @author : lijie
 * @date :2021/4/1 10:02
 * Update By lijie 2021/4/1 10:02
 */
@EqualsAndHashCode
@Data
@NoArgsConstructor
public class AutoReviseSopVo extends SaveSopVo {
    @ApiModelProperty("消息id")
    @JsonProperty("msg_id")
    @JsonAlias({"msg_id","msgId"})
    @NotBlank(message = "缺少必填项:msg_id")
    private String msgId;
    @ApiModelProperty("待修订对象id")
    @JsonProperty("revise_obj_id")
    @JsonAlias({"revise_obj_id","reviseObjId"})
    @NotBlank(message = "缺少必填项:revise_obj_id")
    private String reviseObjId;
}
