package com.persagy.fm.sop.model.vo;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ObjectChangeVo {
    @ApiModelProperty("消息类型")
    @JsonProperty("ms_type")
    @JsonAlias({"ms_type","msType","type"})
    private String msType;

    @ApiModelProperty("消息名称")
    @JsonProperty("ms_name")
    @JsonAlias({"ms_name","msName"})
    private String msName;

    @ApiModelProperty("物理对象id")
    @JsonProperty("ms_obj_id")
    @JsonAlias({"ms_obj_id","msObjId","id"})
    private String msObjId;

    @ApiModelProperty("物理对象名称")
    @JsonProperty("ms_obj_name")
    @JsonAlias({"ms_obj_name","msObjName","obj_name"})
    private String msObjName;

    @ApiModelProperty("物理对象删除时间或信息点生效时间")
    @JsonProperty("ms_time")
    @JsonAlias({"ms_time","msTime"})
    private String msTime;

    @ApiModelProperty("消息描述")
    @JsonProperty("ms_description")
    @JsonAlias({"ms_description","msDescription"})
    private String msDescription;

    @ApiModelProperty("信息点编码")
    @JsonProperty("ms_info_id")
    @JsonAlias({"ms_info_id","msInfoId"})
    private String msInfoId;

    @ApiModelProperty("信息点值")
    @JsonProperty("ms_info_value")
    @JsonAlias({"ms_info_value","msInfoValue"})
    private String msInfoValue;



}
