package com.persagy.fm.sop.model.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.persagy.fm.sop.entity.Sop;
import com.persagy.fm.sop.model.dto.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PublishedListVo {
    @ApiModelProperty("查询条件")
    private Criteria criteria;

    @ApiModelProperty("返回的列表")
    @JsonIgnoreProperties({
            "project_id", "extend_field", "operator_id",
            "operator_name", "sop_type","no_obj",
            "related_data", "sop_status", "publish_status",
            "version_count", "version_explain", "create_time",
            "valid", "domains", "order_type", "tools",
            "fit_objs", "equip_model_ids", "labels",
            "steps", "step_count", "stauts_explain"
            })
    private List<SopBean> content;
    @ApiModelProperty("返回的列表长度")
    private Integer count;

    @Builder
    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public static class Criteria{

        @ApiModelProperty("设备模型列表")
        @JsonProperty("equip_models")
        private List<EquipModelBean> equipModels;

        @ApiModelProperty("自定义标签列表")
        private List<String> labels;

        @ApiModelProperty("工单类型列表")
        @JsonProperty("order_type")
        private List<OrderTypeBean> orderType;

        @ApiModelProperty("工单类型列表")
        @JsonProperty("fit_objs")
        private List<FitObjsBean> fitObjs;

        @ApiModelProperty("sop标记列表")
        private List<SopSignBean> signs;

    }


}
