package com.persagy.fm.sop.model.vo;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.fm.common.model.vo.BaseVo;
import com.persagy.fm.sop.model.dto.ConvertClassBean;
import com.persagy.fm.sop.model.dto.RuleBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import java.util.List;
import java.util.Map;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class QueryCovertClassVo extends BaseVo {
    @ApiModelProperty("项目id")
    @JsonProperty("project_id")
    @JsonAlias({"project_id","projectId"})
    @NotBlank(message = "缺少必填项:project_id")
    private String projectId;
    @ApiModelProperty("需要实例化的对象")
    @JsonProperty("convert_class")
    @JsonAlias({"convert_class","convertClass"})
    private List<ConvertClassBean> convertClass;
    @ApiModelProperty("实例化规则")
    private RuleBean rule;
    @ApiModelProperty("已实例化过对象")
    private Map<String,List<String>> past;
}
