package com.persagy.fm.sop.model.vo;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.fm.common.model.vo.BaseVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.validation.constraints.NotBlank;
@EqualsAndHashCode
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class QueryGeneralDictVo extends BaseVo {

    @ApiModelProperty(value = "字典类型,domain_require-专业,wo_control_require-工单管控需求")
    @NotBlank(message = "缺少非空项:字典类型")
    @JsonAlias({"dictType","dict_type"})
    @JsonProperty("dict_type")
    private String dictType;

    @ApiModelProperty(value = "项目id")
    @JsonAlias({"projectId","project_id"})
    @JsonProperty("project_id")
    private String projectId;
}
