package com.persagy.fm.sop.model.vo;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.fm.common.model.vo.BaseVo;
import com.persagy.fm.sop.validator.ProjectQuery;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.validation.constraints.NotBlank;
import java.util.List;

/***
 * Description: 查询已发布SOP列表的VO类
 * @author : lijie
 * @date :2021/4/10 15:58
 * Update By lijie 2021/4/10 15:58
 */
@Data
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
public class QueryPublishedListBaseVo extends BaseVo {

    @ApiModelProperty("项目id,查询集团SOP时不需要")
    @JsonProperty("project_id")
    @JsonAlias({"project_id","projectId"})
    @NotBlank(message = "缺少非空项:项目id",groups = {ProjectQuery.class})
    private String projectId;

    @ApiModelProperty("sop名称，支持模糊查询")
    @JsonProperty("sop_name")
    @JsonAlias({"sop_name","sopName"})
    private String sopName;


}
