package com.persagy.fm.sop.model.vo;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.util.List;

/***
 * Description: 查询已发布SOP列表的VO类
 * @author : lijie
 * @date :2021/4/10 15:58
 * Update By lijie 2021/4/10 15:58
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class QueryPublishedListVo extends QueryPublishedListBaseVo {

    @ApiModelProperty("设备型号id")
    @JsonProperty("equip_model_ids")
    @JsonAlias({"equip_model_ids","equipModelIds"})
    private List<String> equipModelIds;

    @ApiModelProperty("自定义标签")
    private List<String> labels;

    @ApiModelProperty("工单类型的code")
    @JsonProperty("order_type")
    @JsonAlias({"order_type","orderType"})
    private List<String> orderTypeIds;

    @ApiModelProperty("适用对象id")
    @JsonProperty("fit_obj_ids")
    @JsonAlias({"fit_obj_ids","fitObjIds"})
    private List<String> fitObjIds;

    @ApiModelProperty("sop标记的code码")
    @JsonProperty("sign_codes")
    @JsonAlias({"sign_codes","signCodes"})
    private List<String> signCodes;

    @ApiModelProperty("最后修改时间,yyyy-MM-dd HH:mm:ss")
    @JsonProperty("update_time_from")
    @JsonAlias({"update_time_from","updateTimeFrom"})
    private String updateTimeFrom;

    @ApiModelProperty("最后修改时间，yyyy-MM-dd HH:mm:ss")
    @JsonProperty("update_time_to")
    @JsonAlias({"update_time_to","updateTimeTo"})
    private String updateTimeTo;

    @ApiModelProperty("返回结果是否需要带筛选条件")
    @JsonProperty("need_return_criteria")
    @JsonAlias({"need_return_criteria","needReturnCriteria"})
    private Boolean needReturnCriteria;





}
