package com.persagy.fm.sop.model.vo;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

/***
 * Description: 查询已发布SOP列表的VO类
 * @author : lijie
 * @date :2021/4/10 15:58
 * Update By lijie 2021/4/10 15:58
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Builder(builderMethodName = "queryPublishedSelVo")
@NoArgsConstructor
@AllArgsConstructor
public class QueryPublishedSelVo extends QueryPublishedListVo {

    @ApiModelProperty("是否返回包含大类对象的sop  true：返回   false：不返回 (默认返回)")
    @JsonProperty("is_contains_classObj")
    @JsonAlias({"is_contains_classObj","isContainsClassObj"})
    private Boolean containsClassObj;
    @ApiModelProperty("sop的id,当sop修订中时选择引用sop时必须传，其它情况不传")
    @JsonProperty("sop_id")
    @JsonAlias({"sop_id","sopId"})
    private String sopId;
}
