package com.persagy.fm.sop.model.vo;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.fm.common.model.vo.BaseVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class QueryPublishedSopVo extends BaseVo {
    /**SOP的id数组*/
    @ApiModelProperty("SOP的id数组")
    @JsonAlias({"sop_ids","sopIds"})
    @JsonProperty("sop_ids")
    @NotEmpty(message = "缺少非空项:sop_ids")
    private List<String> sopIds;


}
