package com.persagy.fm.sop.model.vo;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.fm.common.model.vo.BaseVo;
import com.persagy.fm.sop.validator.ProjectQuery;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import java.util.List;
/***
 * Description: 查询被引用SOP的列表
 * @author : lijie
 * @date :2021/4/19 10:47
 * Update By lijie 2021/4/19 10:47
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class QueryReferencedSopVo extends BaseVo {
    
    @ApiModelProperty("项目id,查询集团SOP时不需要")
    @JsonProperty("project_id")
    @JsonAlias({"project_id","projectId"})
    @NotBlank(message = "缺少非空项:项目id",groups = {ProjectQuery.class})
    private String projectId;

    @ApiModelProperty("sop的id")
    @JsonProperty("sop_id")
    @JsonAlias({"sop_id","sopId"})
    @NotBlank(message = "缺少非空项:sopId")
    private String sopId;

    @ApiModelProperty("版本号")
    @NotBlank(message = "缺少非空项:version")
    private String version;


}
