package com.persagy.fm.sop.model.vo;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.fm.common.model.vo.BaseVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class QueryReviseMsgVo extends BaseVo {
    @ApiModelProperty("消息id")
    @JsonProperty("msg_id")
    @JsonAlias({"msg_id","msgId"})
    @NotBlank(message = "缺少必填项:msg_id")
    private String msgId;
    @ApiModelProperty("sop的主键id")
    @JsonProperty("sop_id")
    @JsonAlias({"sop_id","sopId"})
    @NotBlank(message = "缺少必填项:sop_id")
    private String sopId;
}
