package com.persagy.fm.sop.model.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.fm.common.model.vo.BaseVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

/***
 * Description: 查询SOP结果
 * @author : lijie
 * @date :2021/4/2 14:28
 * Update By lijie 2021/4/2 14:28
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class QuerySopDetailVo extends BaseVo {
    @ApiModelProperty("SOP的唯一标识id")
    @JsonProperty("sop_id")
    @NotBlank(message = "缺少非空项:sop_id")
    private String sopId;

    @ApiModelProperty("版本号")
    @NotBlank(message = "缺少非空项:version")
    private String version;
}
