package com.persagy.fm.sop.model.vo;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.fm.common.model.vo.BaseVo;
import com.persagy.fm.common.validator.Update;
import com.persagy.fm.sop.validator.ProjectInsert;
import com.persagy.fm.sop.validator.ProjectUpdate;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class QueryVerifySopNameBaseVo extends BaseVo {

    /**
     * user_id : ***
     * sop_id : ***
     * sop_name : ***
     */
    @ApiModelProperty(value = "SOP的唯一标识id")
    @NotBlank(message = "缺少必填项:sop_id",groups = {Update.class,ProjectUpdate.class})
    @JsonAlias({"sopId","sop_id"})
    @JsonProperty("sop_id")
    private String sopId;

    @ApiModelProperty(value = "SOP的名称",required = true)
    @NotBlank(message = "缺少必填项:sop_name")
    @JsonAlias({"sopName","sop_name"})
    @JsonProperty("sop_name")
    private String sopName;

    @ApiModelProperty(value = "项目id")
    @JsonAlias({"projectId","project_id"})
    @JsonProperty("project_id")
    @NotBlank(message = "缺少必填项:project_id",groups = {ProjectInsert.class,ProjectUpdate.class})
    private String projectId;
}
