package com.persagy.fm.sop.model.vo;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.fm.common.model.vo.BaseVo;
import com.persagy.fm.sop.model.dto.OperatorBean;
import com.persagy.fm.sop.validator.ProjectQuery;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

/***
 * Description: 查询被引用SOP的列表
 * @author : lijie
 * @date :2021/4/19 10:47
 * Update By lijie 2021/4/19 10:47
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ReferencedSopListVo extends BaseVo {
    
    @ApiModelProperty("sop的id,编码")
    @JsonProperty("ref_sop_id")
    @JsonAlias({"ref_sop_id","refSopId"})
    private String refSopId;

    @ApiModelProperty("sop名称")
    @JsonProperty("ref_sop_name")
    @JsonAlias({"ref_sop_name","refSopName"})
    private String refSopName;

    @ApiModelProperty("版本号")
    private String version;

    @ApiModelProperty("sop状态")
    @JsonProperty("stauts_explain")
    @JsonAlias({"stauts_explain","stautsExplain"})
    private String stautsExplain;

    @ApiModelProperty("sop类型:1通用 2项目")
    @JsonProperty("sop_type")
    @JsonAlias({"sop_type","sopType"})
    private String sopType;

    @ApiModelProperty("项目id   sop_type为\"2\"时有该字段")
    @JsonProperty("project_id")
    @JsonAlias({"project_id","projectId"})
    private String projectId;

    @ApiModelProperty("项目名称  sop_type为\"2\"时有该字段")
    @JsonProperty("project_name")
    @JsonAlias({"project_name","projectName"})
    private String projectName;

    @ApiModelProperty("最后更新时间,yyyyMMddHHmmss")
    @JsonProperty("update_time")
    @JsonAlias({"update_time","updateTime"})
    private String updateTime;

    @ApiModelProperty("操作人")
    private OperatorBean operator;


}
