package com.persagy.fm.sop.model.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.fm.sop.entity.SopCell;
import com.persagy.fm.sop.entity.SopObjRel;
import com.persagy.fm.sop.entity.SopToolRel;
import com.persagy.fm.sop.model.dto.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SopHisListVo {
    /**SOP的主键id*/
    @ApiModelProperty("SOP的主键id")
    @JsonProperty("sop_id")
    @JSONField(name = "sop_id")
    private String sopId;
    /**版本号*/
    @ApiModelProperty(value = "1-正常、2-待修订、3-修订中")
    private String version;
    /**版本说明,[“描述”,“描述”]*/
    @ApiModelProperty(value = "版本说明,[“描述”,“描述”]")
    @JsonProperty("version_explain")
    private List<String> versionExplain;
    /**更新时间,格式为yyyyMMddHHmmss*/
    @ApiModelProperty(value = "最后修改时间，yyyy-MM-dd HH:mm:ss")
    @JsonProperty("update_time")
    private String updateTime;
    /**操作人对象*/
    @ApiModelProperty(value = "操作人对象")
    @JsonProperty("operator")
    private OperatorBean operator;
    /**是否当前版本*/
    @ApiModelProperty(value = "是否当前版本")
    @JsonProperty("is_current_version")
    private Boolean currentVersion;
}
