package com.persagy.fm.sop.service;

import com.persagy.fm.common.model.vo.BaseVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/***
 * Description: 批量导入SOP的逻辑类
 * @author : lijie
 * @date :2021/4/28 10:50
 * Update By lijie 2021/4/28 10:50
 */
public interface IBatchHandleSopService {
    /***
     * Description: 下载批量导入的SOP模板
     * @param baseVo : 请求参数
     * @param response : 响应对象
     * @return : void
     * @author : lijie
     * @date :2021/4/28 10:53
     * Update By lijie 2021/4/28 10:53
     */
    void downloadSopTemplate(BaseVo baseVo, HttpServletResponse response) throws IOException;
    /***
     * Description: 批量上传SOP
     * @param projectId : 项目id
     * @param file : 文件流
     * @param request : 请求体对象
     * @param response : 响应体对象
     * @return : void
     * @author : lijie
     * @date :2021/4/30 12:15
     * Update By lijie 2021/4/30 12:15
     */
    void uploadSop(String projectId, MultipartFile file, HttpServletRequest request, HttpServletResponse response) throws IOException;
    /***
     * Description: 导出SOP
     * @param projectId : 项目id
     * @param response : 响应体对象
     * @return : void
     * @author : lijie
     * @date :2021/5/6 12:09
     * Update By lijie 2021/5/6 12:09
     */
    void exportSop(String projectId, HttpServletResponse response) throws Exception;
}
