package com.persagy.fm.sop.service;

import com.alibaba.fastjson.JSONObject;
import com.persagy.fm.common.model.vo.GeneralDictVo;

import java.util.List;
/***
 * Description: 字典服务接口
 * @author : lijie
 * @date :2021/4/9 16:17
 * Update By lijie 2021/4/9 16:17
 */
public interface IGeneralDictService {
    /***
     * Description: 根据字典类型查询字典数据
     * @param dictType :字典类型
     * @param srcProjectId :项目id
     * @return : java.util.List<com.persagy.fm.sop.model.vo.GeneralDictVo>
     * @author : lijie
     * @date :2021/4/9 16:17
     * Update By lijie 2021/4/9 16:17
     */
    List<GeneralDictVo> queryGeneralDictByKey(String dictType, String srcProjectId);
    /***
     * Description: 查询工单类型列表
     * @param jsonObject : 请求参数
     * @return : java.lang.String
     * @author : lijie
     * @date :2021/4/19 12:14
     * Update By lijie 2021/4/19 12:14
     */
    String queryWoTypeList(JSONObject jsonObject);
}
