package com.persagy.fm.sop.service;

import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.persagy.fm.sop.entity.SopDestroyMsg;
import com.baomidou.mybatisplus.extension.service.IService;
import com.persagy.fm.sop.enums.MsgStatusEnum;
import com.persagy.fm.sop.enums.SopStatusEnum;
import com.persagy.old.common.JSONUtil;
import com.persagy.old.dao.DBCommonMethods;
import com.persagy.old.dao.DBConst;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author lijie
 * @since 2021-04-02
 */
public interface ISopDestroyMsgService extends IService<SopDestroyMsg> {

    /***
     * Description: 根据SOP的id和状态查询作废消息列表
     * @param sopId : SOP的id
     * @param status : 消息状态,1-未处理,2-已处理
     * @return : java.util.List<com.persagy.fm.sop.entity.SopDestroyMsg>
     * @author : lijie
     * @date :2021/4/19 21:46
     * Update By lijie 2021/4/19 21:46
     */
    List<SopDestroyMsg> queryRecordByCondition(String sopId, String status) throws Exception;
    /***
     * Description: 标记SOP作废消息已读
     * @param msgId : 消息id
     * @param sopId : SOP的id
     * @return : java.lang.String
     * @author : lijie
     * @date :2021/4/19 21:58
     * Update By lijie 2021/4/19 21:58
     */
    void markReadSopDestroyMsg(String msgId, String sopId);
}
