package com.persagy.fm.sop.service;

import com.persagy.fm.sop.entity.SopEdit;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author lijie
 * @since 2021-04-02
 */
public interface ISopEditService extends IService<SopEdit> {
    /***
     * Description: 根据sopId删除草稿
     * @param sopId : sopId
     * @return : void
     * @author : lijie
     * @date :2021/4/8 16:10
     * Update By lijie 2021/4/8 16:10
     */
    void deleteDraftBySopId(String sopId);
    /***
     * Description: 根据SOP的唯一标识查询SOP的草稿
     * @param sopId : sopId
     * @return : com.persagy.fm.sop.entity.SopEdit
     * @author : lijie
     * @date :2021/4/8 19:11
     * Update By lijie 2021/4/8 19:11
     */
    List<SopEdit> querySopEditBySopId(String sopId);
    /***
     * Description: 根据SOP的id和项目id查询SOP数据
     * @param sopId : sop的id
     * @param projectId : 项目id
     * @return : com.persagy.fm.sop.entity.SopEdit
     * @author : lijie
     * @date :2021/4/21 10:16
     * Update By lijie 2021/4/21 10:16
     */
    List<SopEdit> queryRecordByKey(String sopId, String projectId);
}
