package com.persagy.fm.sop.service;

import com.persagy.fm.sop.entity.SopReviseMsg;
import com.baomidou.mybatisplus.extension.service.IService;
import com.persagy.fm.sop.model.vo.SaveSopVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author lijie
 * @since 2021-04-02
 */
public interface ISopReviseMsgService extends IService<SopReviseMsg> {
    /***
     * Description: 根据条件查询数据
     * @param sopId : sopId
     * @param status : status
     * @param msgId : msgId
     * @return : java.util.List<com.persagy.fm.sop.entity.SopReviseMsg>
     * @author : lijie
     * @date :2021/4/8 18:45
     * Update By lijie 2021/4/8 18:45
     */
    List<SopReviseMsg> queryDatasByCondition(String sopId,String status,String msgId);
    /***
     * Description: 忽略SOP的消息
     * @param sopReviseMsg : SOP的消息
     * @return : void
     * @author : lijie
     * @date :2021/4/8 19:04
     * Update By lijie 2021/4/8 19:04
     */
    void ignoreSopReviseMsg(SopReviseMsg sopReviseMsg);

    /***
     * Description: 根据obj_id,sop_id批量更新status=1
     * @param objIds : 关联的对象id
     * @param sopId : SOP的id
     * @return : void
     * @author : lijie
     * @date :2021/4/19 12:39
     * Update By lijie 2021/4/19 12:39
     */
    void updateBatchSopReviseMsg(List<String> objIds, String sopId) throws Exception;
    /***
     * Description: 忽略SOP的消息
     * @param msgId : SOP的消息id
     * @param sopId : SOP的id
     * @return : void
     * @author : lijie
     * @date :2021/4/8 19:04
     * Update By lijie 2021/4/8 19:04
     */
    void ignoreSopReviseMsg(String msgId, String sopId);
    /***
     * Description: 更改SOP的待修订标记为已自动处理
     * @param msgId : 消息id
     * @param sopId : SOP的id
     * @return : java.lang.String
     * @author : lijie
     * @date :2021/4/21 14:09
     * Update By lijie 2021/4/21 14:09
     */
    void autoSopReviseMsg(String msgId, String sopId);
}
