package com.persagy.fm.sop.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.persagy.fm.common.constant.CommonConstant;
import com.persagy.fm.common.constant.enums.ResultEnum;
import com.persagy.fm.sop.model.dto.ObjBean;

import java.util.ArrayList;
import java.util.List;

public abstract class ObjService {
    /***
     * Description:通用查询对象数据的模板方法
     * @return : java.util.List<com.persagy.fm.sop.model.dto.ObjBean>
     * @author : lijie
     * @date :2021/4/28 20:59
     * Update By lijie 2021/4/28 20:59
     */
    public List<ObjBean> queryObjsData() {
        JSONObject param = new JSONObject();
        param.put("need_back_parents",false);
        param.put(CommonConstant.USER_ID,CommonConstant.SYSTEM_ID);
        String queryStr = queryDataFromSaas(param);
        JSONObject queryObj = JSONObject.parseObject(queryStr);
        if (ResultEnum.FAILURE.getType().equals(queryObj.getString(ResultEnum.RESULT.getType()))){
            return new ArrayList<>();
        }
        JSONArray content = queryObj.getJSONArray(ResultEnum.CONTENT.getType());
        if (null==content || content.size()<=0){
            return new ArrayList<>();
        }
        return content.toJavaList(ObjBean.class);
    }
    /***
     * Description: 从saas服务调用不同方法查询
     * @param param : 查询参数
     * @return : java.lang.String
     * @author : lijie
     * @date :2021/4/28 20:59
     * Update By lijie 2021/4/28 20:59
     */
    protected abstract String queryDataFromSaas(JSONObject param);
}
