package com.persagy.fm.sop.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.persagy.old.common.JSONUtil;
import com.persagy.old.dao.DBCommonMethods;
import com.persagy.old.dao.DBConst;
import com.persagy.fm.sop.service.BaseService;
import com.persagy.fm.sop.service.IEquipCompanyBookService;
import org.springframework.stereotype.Service;

/**
 * 
 * Description:   设备通讯录表serviceImpl
 * Company: Persagy 
 * @author yuecaipu 
 * @version 1.0
 * @since: 2018年5月9日: 下午12:07:47
 * Update By yuecaipu 2018年5月9日: 下午12:07:47
 */
@Service("equipCompanyBookService")
public class EquipCompanyBookServiceImpl extends BaseService implements IEquipCompanyBookService {

	   @Override
	    public String queryRecordByCondition(String jsonStr) throws Exception {
	        JSONObject jsonObject = JSONObject.parseObject(jsonStr);
	        jsonObject.put(DBConst.TABLE_FIELD_VALID, true);
	        String paramStr = JSONUtil.getCriteriaWithMajors(jsonObject, "company_id", "company_type", "company_name", "valid").toJSONString();
	        String resultStr = DBCommonMethods.queryRecordByCriteria(DBConst.DATABASE_SAAS_NAME,DBConst.TABLE_EQUIP_COMPANY_BOOK, paramStr);
	        return resultStr;
	    }
	   @Override
	    public String queryRecordByCompanyId(String jsonStr) throws Exception {
	        String paramStr = JSONUtil.getCriteriaWithMajors(JSONObject.parseObject(jsonStr), "company_id").toJSONString();
	        String resultStr = DBCommonMethods.queryRecordByCriteria(DBConst.DATABASE_SAAS_NAME,DBConst.TABLE_EQUIP_COMPANY_BOOK, paramStr);
	        return resultStr;
	    }
	    @Override
	    public String queryBathchMergeRecordByCondition(String jsonStr, String arrayInfo, String infoName) throws Exception {
	        JSONObject jsonObject = JSONObject.parseObject(jsonStr);
	        jsonObject.put(DBConst.TABLE_FIELD_VALID, true);
	        String paramStr = JSONUtil.getCriteriasWithMajors(jsonObject, arrayInfo, infoName,"company_id", "company_type", "company_name","valid").toJSONString();
	        String resultStr = DBCommonMethods.queryBathchMergeRecordByCriterias(DBConst.DATABASE_SAAS_NAME,DBConst.TABLE_EQUIP_COMPANY_BOOK, paramStr);
	        return resultStr;
	    }
}
