package com.persagy.fm.sop.service.impl;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.persagy.fm.sop.service.IEquipModelService;
import com.persagy.old.common.JSONUtil;
import com.persagy.old.dao.DBCommonMethods;
import com.persagy.old.dao.DBConst;
import com.persagy.fm.sop.service.BaseService;
import com.persagy.fm.sop.service.IEquipCompanyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 
 * @author yuecaipu  2018/4/19
 *
 */
@Service("equipCompanyService")
public class EquipCompanyServiceImpl extends BaseService implements IEquipCompanyService {

	@Autowired
	public IEquipModelService equipModelService;
	@Override
	public String queryEquipCompanyForSel(String jsonStr) throws Exception {
		//条件查询获取数据
		String resultStr = queryRecordByCondition(jsonStr);
		if (resultStr.contains(DBConst.Result.FAILURE)) {
			return resultStr;
		}
		//按需返回数据
		JSONObject resultJson = JSONObject.parseObject(resultStr);
		JSONArray resultContent = resultJson.getJSONArray(DBConst.Result.CONTENT);
		if (resultContent!=null && resultContent.size()>0) {
			JSONObject item ;
			for (int i = 0; i < resultContent.size(); i++) {
				item = resultContent.getJSONObject(i);
				item.remove("project_id");
				item.remove("phone");
				item.remove("contacts");
				item.remove("web");
				item.remove("fax");
				item.remove("email");
				item.remove("insurer_info");
				item.remove("equip_models");
				item.remove("create_time");
				item.remove("update_time");
				item.remove("valid");				
			}
		}
		return resultJson.toJSONString();
	}
	
    @Override
    public String queryRecordByCondition(String jsonStr) throws Exception {
        JSONObject jsonObject = JSONObject.parseObject(jsonStr);
        jsonObject.put(DBConst.TABLE_FIELD_VALID, true);
        String paramStr = JSONUtil.getCriteriaWithMajors(jsonObject, "company_id", "valid", "company_type", "company_name", "phone").toJSONString();
        String resultStr = DBCommonMethods.queryRecordByCriteria(DBConst.DATABASE_SAAS_NAME,DBConst.TABLE_EQUIP_COMPANY_BOOK, paramStr);
        return resultStr;
    }

}
