package com.persagy.old.runner;

import com.persagy.old.dao.DBAgent;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.CommandLineRunner;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;


//@RefreshScope // 这里不能省略 不然不能手动触发
@Component
@Order(1)
public class InitRunner implements CommandLineRunner {
    private static final Logger log = Logger.getLogger(InitRunner.class);

    @Override
    public void run(String... args) throws Exception {
        log.info("初始化...DBAgent...InitRunner");
        // 初始化
        DBAgent.GetAgent();
    }

    @Value("${dfs.replication}")
    public void setDfsReplication(String value) {
        DBAgent.setDfsReplication(value);
    }

    @Value("${hbase.rootdir}")
    public void setHbaseRootdir(String value) {
        DBAgent.setHbaseRootdir(value);
    }

    @Value("${hbase.cluster.distributed}")
    public void setHbaseClusterDistributed(String value) {
        DBAgent.setHbaseClusterDistributed(value);
    }

    @Value("${hbase.zookeeper.property.dataDir}")
    public void setHbaseZookeeperPropertyDataDir(String value) {
        DBAgent.setHbaseZookeeperPropertyDataDir(value);
    }

    // ZooKeeper配置文件
    @Value("${hbase.zookeeper.quorum}")
    public void setHbaseZookeeperQuorum(String value) {
        DBAgent.setHbaseZookeeperQuorum(value);
    }

    @Value("${minor_db.enable}")
    public void setMinor_dbEnable(String value) {
        DBAgent.setMinor_dbEnable(value);
    }

    @Value("${minor_db.c3p0.jdbcUrl}")
    public void setMinor_dbJdbcUrl(String value) {
        DBAgent.setMinor_dbJdbcUrl(value);
    }

    @Value("${minor_db.c3p0.user}")
    public void setMinor_user(String value) {
        DBAgent.setMinor_user(value);
    }

    @Value("${minor_db.c3p0.password}")
    public void setMinor_password(String value) {
        DBAgent.setMinor_password(value);
    }

    @Value("${minor_db.c3p0.acquireIncrement}")
    public void setMinor_acquireIncrement(String value) {
        DBAgent.setMinor_acquireIncrement(value);
    }

    @Value("${minor_db.c3p0.idleConnectionTestPeriod}")
    public void setMinor_idleConnectionTestPeriod(String value) {
        DBAgent.setMinor_idleConnectionTestPeriod(value);
    }

    @Value("${minor_db.c3p0.initialPoolSize}")
    public void setMinor_initialPoolSize(String value) {
        DBAgent.setMinor_initialPoolSize(value);
    }

    @Value("${minor_db.c3p0.maxIdleTime}")
    public void setMinor_maxIdleTime(String value) {
        DBAgent.setMinor_maxIdleTime(value);
    }

    @Value("${minor_db.c3p0.maxPoolSize}")
    public void setMinor_maxPoolSize(String value) {
        DBAgent.setMinor_maxPoolSize(value);
    }

    @Value("${minor_db.c3p0.maxStatements}")
    public void setMinor_maxStatements(String value) {
        DBAgent.setMinor_maxStatements(value);
    }

    @Value("${minor_db.c3p0.minPoolSize}")
    public void setMinor_minPoolSize(String value) {
        DBAgent.setMinor_minPoolSize(value);
    }

    @Value("${hbase.table.sanity.checks}")
    public void setHbaseTableSanityChecks(String value) {
        DBAgent.setHbaseTableSanityChecks(value);
    }


}
