package com.persagy.fm.workorder.client;

import com.alibaba.fastjson.JSONObject;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name = "SAAS" ,fallbackFactory = SaasFallBackFactory.class, configuration = FeignConfig.class)
public interface SaasClient {

    /***
     * Description: 查询数据字典数据
     * @param param : 请求参数
     * @return : java.lang.String
     * @author : lijie
     * @date :2021/4/9 21:51
     * Update By lijie 2021/4/9 21:51
     */
    @PostMapping(value = "/restGeneralDictService/queryGeneralDictByDictType")
    String queryGeneralDictByDictType(@RequestBody JSONObject param);
    /***
     * Description: 查询部门岗位树
     * @param param : 请求参数
     * @return : java.lang.String
     * @author : lijie
     * @date :2021/4/9 21:51
     * Update By lijie 2021/4/9 21:51
     */
    @PostMapping(value = "/restDeptService/queryDeptPositionTree")
    String queryDeptPositionTree(@RequestBody JSONObject param);


}
