package com.persagy.fm.workorder.domain.dto;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class DutyBean {
    @ApiModelProperty("职责模块code")
    private String code;
    @ApiModelProperty("职责模块名称")
    private String name;
    @ApiModelProperty("下级路由方式：execute-新建后执行，assign-新建后指派，robbing-新建后抢单")
    @JsonAlias({"executie_mode","executieMode"})
    @JsonProperty("executie_mode")
    private String executieMode;
    @ApiModelProperty("到达工单要求开始时间时才允许执行")
    @JsonAlias({"arrival_time_allow_execute","arrivalTimeAllowExecute"})
    @JsonProperty("arrival_time_allow_execute")
    private Boolean arrivalTimeAllowExecute;
    @ApiModelProperty("是否需要按照排班表过滤每次可转交的人员范围")
    @JsonAlias({"filter_scheduling","filterScheduling"})
    @JsonProperty("filter_scheduling")
    private Boolean filterScheduling;
    @ApiModelProperty("请选择是否启用专业控制")
    @JsonAlias({"limit_domain","limitDomain"})
    @JsonProperty("limit_domain")
    private Boolean limitDomain;
    @ApiModelProperty("期望该操作持续时间不超过")
    @JsonAlias({"expecte_operation","expecteOperation"})
    @JsonProperty("expecte_operation")
    private Boolean expecteOperation;
    @ApiModelProperty("分钟")
    private Integer minute;
    @ApiModelProperty("根据下级路由方式选择下级路由岗位 execute-执行，assign-指派，robbing-执行")
    @JsonAlias({"next_route","nextRoute"})
    @JsonProperty("next_route")
    private List<NextRouteBean> nextRoute;
    @ApiModelProperty("根据下级路由方式选择下级路由岗位 execute-执行，assign-指派，robbing-执行")
    @JsonAlias({"apply_items","applyItems"})
    @JsonProperty("apply_items")
    private List<ApplyItemBean> applyItems;


}
