package com.persagy.fm.workorder.domain.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.fm.workorder.handler.JsonTypeHandlerFactory;
import lombok.*;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.List;

/**
 * @author lijie
 * @since 2021-04-26
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class WoFlowPlanBean{

    /**
     * 工单类型id
     */
    @JsonAlias({"planId","plan_id"})
    @JsonProperty("plan_id")
    @JSONField(name = "plan_id")
    private String planId;

    /**
     * 工单类型名称
     */
    @JsonAlias({"planName","plan_name"})
    @JsonProperty("plan_name")
    @JSONField(name = "plan_name")
    private String planName;

    /**
     * 项目id
     */
    @JsonAlias({"projectId","project_id"})
    @JsonProperty("project_id")
    @JSONField(name = "project_id")
    private String projectId;

    /**
     * 报修是否可以转此类工单,0-不可以,1-可以
     */
    @JsonAlias({"repairFlag","repair_flag"})
    @JsonProperty("repair_flag")
    @JSONField(name = "repair_flag")
    private String repairFlag;

    /**
     * 工作类型id,1-维保,2-维修,3-巡检,4-运行,5-安全
     */
    @JsonAlias({"workType","work_type"})
    @JsonProperty("work_type")
    @JSONField(name = "work_type")
    private String workType;
    /**
     * 工作类型名称,1-维保,2-维修,3-巡检,4-运行,5-安全
     */
    @JsonAlias({"workTypeName","work_type_name"})
    @JsonProperty("work_type_name")
    @JSONField(name = "work_type_name")
    private String workTypeName;

    /**
     * 建筑功能类型
     */
    @JsonAlias({"functionType","function_type"})
    @JsonProperty("function_type")
    @JSONField(name = "function_type")
    private String functionType;

    /**
     * 设置的此类工单相关要求
     */
    @JsonAlias({"timeLimit","time_limit"})
    @JsonProperty("time_limit")
    @JSONField(name = "time_limit")
    private TimeLimitBean timeLimit;

    /**
     * 时间类型,temp-临时,plan-计划
     */
    @JsonAlias({"executeType","execute_type"})
    @JsonProperty("execute_type")
    @JSONField(name = "execute_type")
    private String executeType;
    /**
     * 时间类型名称,temp-临时,plan-计划
     */
    @JsonAlias({"executeTypeName","execute_type_name"})
    @JsonProperty("execute_type_name")
    @JSONField(name = "execute_type_name")
    private String executeTypeName;

    /**
     * 岗位职责数据
     */
    @JsonAlias({"postAndDuty","post_and_duty"})
    @JsonProperty("post_and_duty")
    @JSONField(name = "post_and_duty")
    private List<PostAndDuty> postAndDuty;

    /**
     * 原生岗位职责数据
     */
    @JsonAlias({"postAndDutyNative","post_and_duty_native"})
    @JsonProperty("post_and_duty_native")
    @JSONField(name = "post_and_duty_native")
    private PostAndDutyNative postAndDutyNative;

    /**
     * 部门id
     */
    @JsonAlias({"departmentId","department_id"})
    @JsonProperty("department_id")
    @JSONField(name = "department_id")
    private String departmentId;

    /**
     * 工单类型状态,0-需修订,1-正常
     */
    @JsonAlias({"planStatus","plan_status"})
    @JsonProperty("plan_status")
    @JSONField(name = "plan_status")
    private String planStatus;

    /**
     * 版本号
     */
    private Integer version;

    /**
     * 创建者id
     */
    @JsonAlias({"creatorId","creator_id"})
    @JsonProperty("creator_id")
    @JSONField(name = "creator_id")
    private String creatorId;

    /**
     * 创建时间
     */
    @JsonAlias({"createTime","create_time"})
    @JsonProperty("create_time")
    @JSONField(name = "create_time")
    private String createTime;

    /**
     * 更新时间
     */
    @JsonAlias({"updateTime","update_time"})
    @JsonProperty("update_time")
    @JSONField(name = "update_time")
    private String updateTime;

    /**
     * 是否有效
     */
    private Boolean valid;

}
