package com.persagy.fm.workorder.domain.dto;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/***
 * Description: 工单时间通知
 * @author : lijie
 * @date :2021/4/26 19:35
 * Update By lijie 2021/4/26 19:35
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class WoOrderTimeNotify {
    @ApiModelProperty("消息通知标题")
    @JsonAlias({"messageNotificationTitle","message_notification_title"})
    @JsonProperty("messageNotificationTitle")
    private String messageNotificationTitle;
    @ApiModelProperty("位置验证")
    @JsonAlias({"positionVerifi","position_verifi"})
    @JsonProperty("positionVerifi")
    private Boolean positionVerifi;
    @ApiModelProperty("校验")
    private Boolean checked_;
    @ApiModelProperty("校验")
    private Boolean checked;
    @ApiModelProperty("重复周期（eg.每3分钟重复通知一次）")
    @JsonAlias({"notifyCycle","notify_cycle"})
    @JsonProperty("notifyCycle")
    private String notifyCycle;
    @ApiModelProperty("通知岗位")
    private List<Position> positions;
    @ApiModelProperty("after-后  front-前")
    private String around;
    @ApiModelProperty("是否展示")
    @JsonAlias({"isShow","is_show"})
    @JsonProperty("isShow")
    private Boolean isShow;
    @ApiModelProperty("时间选项：startTime-工单开始时间；endTime-工单结束时间")
    @JsonAlias({"timeOption","time_option"})
    @JsonProperty("timeOption")
    private String timeOption;
    @ApiModelProperty("分钟")
    private String minute;
    @ApiModelProperty("工单状态：1-未接单，2-未抢单，3-未指派，4-未结束")
    @JsonAlias({"orderState","order_state"})
    @JsonProperty("orderState")
    private String orderState;
}