package com.persagy.fm.workorder.domain.vo;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.fm.common.model.vo.BaseVo;
import com.persagy.fm.workorder.domain.dto.PostAndDuty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/***
 * Description: 验证工单类型岗位职责信息Vo类
 * @author : lijie
 * @date :2021/4/27 17:57
 * Update By lijie 2021/4/27 17:57
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class BaseQueryFlowPlanVo extends BaseVo {
    @ApiModelProperty("工单类型id，编辑是需要传，验证工单类型名称是否重复")
    @JsonAlias({"plan_id","planId"})
    @JsonProperty("plan_id")
    private String planId;
}
