package com.persagy.fm.workorder.domain.vo;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.fm.common.model.vo.BaseVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/***
 * Description: 查询工单类型列表的VO类
 * @author : lijie
 * @date :2021/4/27 16:40
 * Update By lijie 2021/4/27 16:40
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class QueryFlowPlanListVo extends BaseVo {
    @ApiModelProperty("项目id")
    @JsonProperty("project_id")
    @JsonAlias({"project_id","projectId"})
    private String projectId;
    @ApiModelProperty("工单类型名称（支持模糊查询）")
    @JsonProperty("plan_name")
    @JsonAlias({"plan_name","planName"})
    private String planName;
    @ApiModelProperty("工作类型id,1-维保,2-维修,3-巡检,4-运行,5-安全")
    @JsonProperty("work_type")
    @JsonAlias({"work_type","workType"})
    private String workType;
    @ApiModelProperty("时间类型,temp-临时,plan-计划")
    @JsonProperty("execute_type")
    @JsonAlias({"execute_type","executeType"})
    private String executeType;
    @ApiModelProperty(value = "报修是否可以转此类工单,0-不可以,1-可以")
    @JsonProperty("repair_flag")
    @JsonAlias({"repair_flag","repairFlag"})
    private String repairFlag;
    @ApiModelProperty("是否返回集团工单类型(project_id不为空时有效)，0-不返 1-反，默认0")
    private String returnGroup;

}
