package com.persagy.fm.workorder.domain.vo;

import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.fm.common.model.vo.BaseVo;
import com.persagy.fm.workorder.domain.dto.PostAndDuty;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/***
 * Description: 验证工单类型岗位职责信息Vo类
 * @author : lijie
 * @date :2021/4/27 17:57
 * Update By lijie 2021/4/27 17:57
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class QueryVerifyFlowPlanVo extends BaseQueryFlowPlanVo {
    @ApiModelProperty("工单类型名称")
    @JsonAlias({"plan_name","planName"})
    @JsonProperty("plan_name")
    private String planName;
    @ApiModelProperty("时间类型编码temp-临时性，plan-计划性")
    @JsonAlias({"execute_type","executeType"})
    @JsonProperty("execute_type")
    @NotBlank(message = "缺少必填项:execute_type")
    private String executeType;
    @ApiModelProperty("岗位职责")
    @JsonAlias({"post_and_duty","postAndDuty"})
    @JsonProperty("post_and_duty")
    @NotEmpty(message = "缺少必填项:post_and_duty")
    private List<PostAndDuty> postAndDuty;
}
