SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;
CREATE TABLE IF NOT EXISTS `wo_flow_plan` (
  `plan_id` varchar(50) COLLATE utf8mb4_bin NOT NULL COMMENT '工单类型id',
  `plan_name` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '工单类型名称',
  `project_id` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '项目id',
  `repair_flag` varchar(2) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '报修是否可以转此类工单,0-不可以,1-可以',
  `work_type` varchar(2) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '工作类型id,1-维保,2-维修,3-巡检,4-运行,5-安全',
  `function_type` varchar(10) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '建筑功能类型',
  `department_id` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '部门id',
  `time_limit` json DEFAULT NULL COMMENT '设置的此类工单相关要求',
  `execute_type` varchar(10) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '时间类型,temp-临时,plan-计划',
  `post_and_duty` json DEFAULT NULL COMMENT '岗位职责数据',
  `post_and_duty_native` json DEFAULT NULL COMMENT '原生岗位职责数据',
  `plan_status` varchar(2) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '工单类型状态,0-需修订,1-正常',
  `version` int(10) DEFAULT NULL COMMENT '版本号',
  `creator_id` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者id',
  `create_time` varchar(14) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建时间',
  `update_time` varchar(14) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新时间',
  `valid` int(1) DEFAULT '1' COMMENT '是否有效',
  PRIMARY KEY (`plan_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin;

SET FOREIGN_KEY_CHECKS = 1;
